codeblocks (17.12-0ubuntu2~xenial) xenial; urgency=low

    Release 17.12.
    (http://forums.codeblocks.org/index.php/topic,22345.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 02 Jan 2018 15:59:21 +0100

codeblocks (16.01svn11246-0ubuntu2~xenial) xenial; urgency=low

    The 09 December 2017 build (11246)
    (http://forums.codeblocks.org/index.php/topic,22302.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 10 Dec 2017 10:31:35 +0100

codeblocks (16.01svn11227-0ubuntu3~xenial) xenial; urgency=low

    update debhelper version.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 26 Nov 2017 17:21:38 +0100

codeblocks (16.01svn11227-0ubuntu2~xenial) xenial; urgency=low

    update debhelper version.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 26 Nov 2017 17:15:33 +0100

codeblocks (16.01svn11227-0ubuntu1~xenial) xenial; urgency=low

    * The 16 November 2017 build (11227)
    (http://forums.codeblocks.org/index.php/board,20.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 19 Nov 2017 12:12:02 +0100

codeblocks (13.12svn10122-0ubuntu1~trusty) trusty; urgency=low

  *  16 February 2015 build (10120)
    (http://forums.codeblocks.org/index.php/topic,20018.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 28 Feb 2015 07:55:36 +0100

codeblocks (13.12svn10120-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 19 Feb 2015 20:43:37 +0100

codeblocks (13.12svn10120-0ubuntu1~trusty) trusty; urgency=low

  *  16 February 2015 build (10120)
    (http://forums.codeblocks.org/index.php/topic,20018.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 19 Feb 2015 18:39:07 +0100

codeblocks (13.12svn10091-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 02 Feb 2015 07:09:04 +0100

codeblocks (13.12svn10091-0ubuntu1~trusty) trusty; urgency=low

  *  31 January 2015 build (10091)
    (http://forums.codeblocks.org/index.php/topic,19964.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 02 Feb 2015 07:04:58 +0100

codeblocks (13.12svn10074-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 21 Jan 2015 19:55:29 +0100

codeblocks (13.12svn10074-0ubuntu1~trusty) trusty; urgency=low

  *  21 January 2014 build (10074)
    (http://forums.codeblocks.org/index.php/topic,19920.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 21 Jan 2015 19:51:45 +0100

codeblocks (13.12svn10064-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 18 Jan 2015 08:12:16 +0100

codeblocks (13.12svn10064-0ubuntu1~trusty) trusty; urgency=low

  * 17 January 2014 build (10064)
    (http://forums.codeblocks.org/index.php/topic,19905.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 18 Jan 2015 07:56:14 +0100

codeblocks (13.12svn10050-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 10 Jan 2015 16:36:30 +0100

codeblocks (13.12svn10050-0ubuntu1~trusty) trusty; urgency=low

  * 06 December 2014 build (10050)
    (http://forums.codeblocks.org/index.php/topic,19846.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 21 Dec 2014 17:08:28 +0100

codeblocks (13.12svn10035-0ubuntu1~trusty) trusty; urgency=low

  * 15 November 2014 build (10035)
    (http://forums.codeblocks.org/index.php/topic,19776.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 20 Nov 2014 22:26:01 +0100

codeblocks (13.12svn10016-0ubuntu1~trusty) trusty; urgency=low

  * 27 October 2014 build (10016)
    (http://forums.codeblocks.org/index.php/topic,19753.0.html)
  * 12 October 2014 build (9958)
    (http://forums.codeblocks.org/index.php/topic,19727.0.html)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 29 Oct 2014 22:08:41 +0100

codeblocks (13.12svn9936-0ubuntu1~trusty) trusty; urgency=low

  * 11 October 2014 build (9936)
    (http://forums.codeblocks.org/index.php/topic,19724.0.html)
  * 16 September 2014 build (9916)
    (http://forums.codeblocks.org/index.php/topic,19652.0.html)
  * 30 August 2014 build (9884)
    (http://forums.codeblocks.org/index.php/topic,19596.0.html)
  * 06 August 2014 build (9855)
    (http://forums.codeblocks.org/index.php/topic,19551.0.html)
  * 02 August 2014 build (9854)
    (http://forums.codeblocks.org/index.php/topic,19509.0.html)
  * 06 July 2014 build (9844)
    (http://forums.codeblocks.org/index.php/topic,19428.0.htm)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 12 Oct 2014 16:41:23 +0200

codeblocks (13.12svn9781-0ubuntu1~trusty) trusty; urgency=low

  * Removed standalone codesnipptes app from debian and rpm control files,
    because it no longer exists.
  * CC: Fix crash when creating new file from the wizard and there is a
    default code to be added to the file
  * ui: Don't switch to the project's pane in the notebook, when an editor
    is activated and the option to show the file in the tree is enabled
    (apply modified patch #3556, thanks davidallen)
  * sdk: Linux, support open containing folder with file selected
  * ToolsPlus: Add context menu on output pages and add entry to "close
    inactive tool pages".
  * EditorTweaks, Aligner: Add shortcut to repeat the last align operation
  * CodeSnippets - Remove edit & search CB duplicate code. Get back to a
    sane implementation.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 29 May 2014 07:33:52 +0200

codeblocks (13.12svn9765-0ubuntu1~trusty) trusty; urgency=low

  * pumped (wx)Scintilla to v3.4.1
  * CCManager: fix crash candidate: delay canceling call tips when C::B
    loses focus
  * SmartIndent: base next line indentation on the last non-empty line
  * sdk: add JavaScript lexer
  * sdk: add CoffeeScript lexer
  * CC: fix a bug that we don't get code suggestion list for a function's
    parameter such as: "void foo_2(Msg const& msg)". The reason for the bug
    is that when we try to get the base type name for the variable Token "Msg
    const& msg", we wrongly get the "const". The expect value should be
    "Msg". Discussions can be found here:
    http://forums.codeblocks.org/index.php/topic,17866.0.html
  * SmartIndent: Unindent "end block" correctly in VHDL mode
  * CC: Find declaration of a class constructor now goes to the correct
    constructor functions, not the class definition. This fixes a bug
    reported here:
    http://forums.codeblocks.org/index.php/topic,13753.msg92654.html#msg92654
    . Discussions can also be found there.
  * compiler: Fix crash when using *No compiler* for building projects
    (reported here
    http://forums.codeblocks.org/index.php/topic,19071.msg131370.html#msg1313
    70)
  * Changed the return type of the GetCompilerTool method, so the clients
    can check if the returned value is correct or not. This requires a change
    to the SDK version, because the API/ABI is broken.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 16 May 2014 14:40:32 +0200

codeblocks (13.12svn9744-0ubuntu1~saucy) saucy; urgency=low

  * debugger: Disable deleting of Locals and Function arguments watches
    with the Delete key
  * lots of CC Manager changes
  * editor: swap header/source, if nothing else worked, search for
    auto-generated by file
  * compiler: Make building/cleaning custom makefile projects more verbose,
    so users can have a chance to see what commands are executed

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 29 Mar 2014 10:49:07 +0100

codeblocks (13.12svn9677-0ubuntu1~saucy) saucy; urgency=low

  * debugger: Improve logging, while trying to interrupt the debuggee
  * CC: this is an improvement to Huki's cc_includes_parsing.patch. When
    recursive parsing of cpp/h files, we need to release the locker on each
    recursive call, so the parser does not hold the locker for a very long
    time, the GUI will not hang. The header files in the project do not be
    added to the BatchParse any more, since it will mass the bool
    Parser::Parse(const wxString& filename, bool isLocal, bool locked,
    LoaderBase* loader) function a lot, if the header file is marked as
    assigned in the TokenTree, it will not be parsed immedially when
    Parser::Parse() is called. The related discussion can be found in forum:
    http://forums.codeblocks.org/index.php/topic,18315.msg128446.html#msg1284
    46
  * syntax highlight: Fix bug for Bash language, where the Scalar's
    background couldn't be set to default
  * CC: show formatted args of methods, if docs helper is disabled in the
    CC options
  * CC: made the option for CC simpler: Either you choose documentation
    with all (good) consequences or not (probably fixes
    http://forums.codeblocks.org/index.php/topic,18991.msg130116.html#msg1301
    16)
  * CC: don't compare args in the TokenTree::TokenExists() function if the
    token is a container (such as a class Token), see: Topic, "Rev9537
    introduce a bug which will two class labels in the symbol browser" -
    http://forums.codeblocks.org/index.php
  * CC: improvement of the parser on handling enums. (thanks Huki)
    1, Uses expression solver to calculate the enum value, expand macro
    assignments.
    2, Supports enum assignment to a previous enum (checks under the
    correct parent).
    3, If the expression cannot be evaluated (eg, unknown macro), leave
    it and the next enums blank and don't reset it to zero.
    Discussions can be found here: http://forums.codeblocks.org/index.php/
    topic,18315.msg129491.html#msg129491
  * CC: reapply the commit rev9369(rev9369 is reverted on rev9647), also
    fix a bug in Tokenizer::ReplaceBufferText() function to limit the value
    of m_RepertReplaceCount, discussion can be found in
    http://forums.codeblocks.org/index.php/topic,18916.msg129712.html#msg1297
    12 (thanks Huki)
  * CC: Use (SkipComment() || SkipWhiteSpace()) instead of (SkipComment()
    && SkipWhiteSpace()) in while loop statement.
  * CC: bool Tokenizer::CalcConditionExpression() should return false if
    exp.CalcPostfix() fails.
  * CC: Handle _attribute__ keyword when parsing.
  * pumped (wx)Scintilla to v3.3.9
  * applied fix to get rid of install plugin errors under Windows (see
    here:
    http://forums.codeblocks.org/index.php/topic,18916.msg129836.html#msg1298
    36) - thanks stahta01

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 20 Mar 2014 13:57:47 +0100

codeblocks (13.12svn9639-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 08 Feb 2014 17:57:21 +0100

codeblocks (13.12svn9639-0ubuntu1~saucy) saucy; urgency=low

  * editor: Add keywords for ruby 1.9, this fixes the Ruby lexer
  * new command line option --user-data-dir=<path> to specify an
    alternative directory for user settings and user installed plugins
  * debugger: Determine console pid from ps-command, returns either the
    same as we have now (e.g. xterm) or the pid of the sleep-command and
    works therefore also with newer gnome-terminals (thanks Jens)
  * debugger: Rework RunNixConsole to be even simpler, the old version
    always printed an error message and return the pid of the sleep command
  * debugger: Try to detect when the terminal couldn't be started and print
    an error instead of entering annoying loop
  * single file compilation: fix a crash if user selects a wrong target
  * CC: fix a bug (logic error) introduced in rev 9601* allow to clean a
    single object file within a project tree from project manager
  * CC: Remove the :: at the end of classes/enums/namespaces in the CC
    toolbar
  * CC: fix a bug in the one parser for the whole workspace mode. When a
    workspace contains many projects, if a project's files were already
    parsed by previous projects and the macros string is empty, then this
    project don't actually assign a parsing task to the thread pool, thus
    there is not ParserEnd event emitted, so we have no way to start parsing
    for the next project. The general logic are below:
	  1, Thread task pool done -> Send event to Parser object
	  2, Parser::OnAllThreadsDone(CodeBlocksEvent& event) -> Send a Parser
      End event
	  3, NativeParser::OnParserEnd -> m_TimerParsingOneByOne.Start(500,
      wxTIMER_ONE_SHOT);
  	4, NativeParser::OnParsingOneByOneTimer ->
      AddProjectToParser(projs->Item(i)); (parse the next project)
	  I simply let the AddProjectToParser() function return a boolean, if
      it is false, we try to parse the next project. The discussion can be
      found in http://forums.codeblocks.org/index.php

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 08 Feb 2014 16:30:41 +0100

codeblocks (13.12svn9605-0ubuntu1~saucy) saucy; urgency=low

  * to much to list

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 25 Jan 2014 17:46:31 +0100

codeblocks (13.12-0ubuntu1~precise) precise; urgency=low

  * backport to Ubuntu 12.04 (Precise Pangolin)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 30 Dec 2013 02:09:50 +0100

codeblocks (13.12-0ubuntu1~saucy) saucy; urgency=low

  * Update to 13.12 release

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 29 Dec 2013 21:01:10 +0100

codeblocks (12.11svn9455-0ubuntu1~saucy) saucy; urgency=low

  * we can not use mozilla's debug-stuff; undef DEBUG in mozilla's nsDebug.h,
    in case we configure with --enable-debug; fixes issue described here:
    http://forums.codeblocks.org/index.php/topic,18528.msg126866.html#msg126866
  * CC: fix bug ##19186, http://developer.berlios.de/bugs/?func=detailbug&
    bug_id=19186&group_id=5358, when a file was re-parsed, the Token name for
    the unnamed struct always changed, this is because we use a global counter
    for all the unnamed struct/enum. Solution: let these counters file related,
    which means each file have its own counter staring from zero, and the Token
    name has a file index prefix like __UnnamedStruct70, where 7 is refer to a
    file index, the 0 donates the unnamed struct counter. Also, the counter is
    started from 0, it was 1 before. Reparse does not change the file index, so
    we will not produce garbage token names.
  * autotools: change configure-script, so "--with-contrib-plugins=<list>"
    accepts "yes" and "no" as equivalent for "all" and "none"; so default
    "--with-contrib-plugins" and "--without-contrib-plugins" can be used.
    Fixes #19156 .
  * CC: Fix merged Token names bug introduced in rev9438 by adding a underscore
    between the file index and unnamed class/struct/enum Token index. See
    discussion in http://forums.codeblocks.org/index.php/topic,18542.0.html.
  * compiler: add registry based autodetection of TDM-GCC
  * debugger: Don't override the value for simple pointer types with the
    address of the expression
  * CC: parser ignore invalid documentation lines of style "////"
  * global-vars: Save the lflags variable (thanks stahta01)
  * wizard: re-brand wxWidgets 2.9.x (svn) as 3.0.x and add flag
    '-Wno-unused-local-typedefs' for new GCC on older wx versions

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 17 Nov 2013 18:33:16 +0100

codeblocks (12.11svn9435-0ubuntu1~raring) raring; urgency=low

  * sdk and src: make more use of nullptr (no functional change)
  * Fix problem with line-numbers being shown for newly opened editors,
    even if the appropriate options is turned off; see:
    http://forums.codeblocks.org/index.php/topic,18516.msg126649.html#msg1266
    49
  * follow the wx's policies by not including windows.h directly, but
    through a wrapper (thanks stahta01)
  * compiler: fix missing flags for ICC under linux
  * sdk: Fix bug #19025 'std::bad_alloc' when loading cmake generated
    project
  * Editor Tweaks plugin: introduce wrap char mode, code refactoring,
    remove a member variable since programmatically change the menu item
    status does not trigger its event handler. see discussion in
    http://forums.codeblocks.org/index.php/topic,18358.0.html for details.
  * settings: Don't allow an editor colour theme to contain invalid
    characters
  * proper fix of crash / bad behaviour due to EditorTweaks plugin as
    reported here: http://forums.codeblocks.org/index.php/topic,18358
  * implement hiding of icons in settings dialogs with wxGTK and fix an
    assert in wx2.9+ on windows; not absolutely satisfied
  * sdk: Fix bug "Ticking any checkbox in the File properties dialog cause
    the file to be made read-only"
  * Make sure "Save As" works correctly, thanks Pecan; see:
    http://forums.codeblocks.org/index.php/topic,18400.msg125820.html
  * apply patch 3470: project tree: fix crash on delete while dragging
    (modified)
  * zoom linenumber- and folding-margin, if the editor is zoomed; also
    fixes an issue described here:
    http://forums.codeblocks.org/index.php/topic,18229.msg124738.html#msg1247
    38
  * CC: fix doubled quotes in header completion
  * ui: Implement feature #5694 - Show the active file in the editor in the
    project tree automatically (thanks davidallen)
  * FileManager plugin: use CodeBlocksThreadEvent instead of wxCommandEvent
    to avoid nasty crash (wxCommandEvent has thread safety issues)
  * Fix layout issues with listbbok in settings-dialogs, when changing from
    icon- to list-view; still not absolutely satisfying on all platforms.
  * CC: fix a bug in function ParserThread::GetBaseArgs(), when using a
    wxChar pointer to access the wxString, we should always check whether the
    pointer reaches the end of wxString. Hopefully solve the problems
    reported in http://forums.codeblocks.org/index.php/topic,18438.0.html
  * sdk: emulate middle mouse paste under all systems due to buggy
    wxClipboard
  * CC: fix doxygen processing bug
    http://forums.codeblocks.org/index.php/topic,18471.0.html
  * compiler: enable localization of XML based compiler interfaces
  * SpellChecker: fix bug 19164, incorrect highlighting of multibyte characters

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 08 Nov 2013 19:10:28 +0100

codeblocks (12.11svn9378-0ubuntu1~raring) raring; urgency=low

  * find-replace-dialog: fix shortcut (was used twice)
  * debugger: Improve GetEditorWordAtCaret to work correctly for
    non-rectangle selections (thanks Huki)
  * wxSmith-plugin: immediately show changed size (after adding first
    image) and image count in wxsimagelisteditordkg, disable del-, clear- and
    save-buttons if list is empty
  * wxSmith-plugin (wxsimagelisteditordlg): expand image labels, so larger
    numbers get not cut off; add button to save a single bitmap instead of
    only sving the list as one large bitmap; many differences come from
    autogeneration of the source files with actual wxSmith
  * SDK: introduce CodeBlocksThreadEvent which is thread safe to carry
    wxString cross threads, also remove the mutex in CClogger class, as we
    don't need them. see the discussion:
    http://forums.codeblocks.org/index.php/topic,18059.0.html
  * manager: Don't translate the name of all cbEVT_XXX types (thanks gd_on)
  * wxSmith-plugin: fix layout issue; only the top-sizer with the title of
    wxsImageTreeEditorDlg was shown
  * wxPropgrid: correct handling of composite flags in wxFlagsProperty;
    backport of my patch for wxWidgets, see:
    http://trac.wxwidgets.org/changeset/74808
  * wxSmith- and wxSmithContribItems-plugin: correct handling of
    composite-flags in codegeneration of wxsRichTextCtrl,
    wxsRichTextFormattingDialog, wxsRichTextStyleOrganiserDialog and wxsChart
  * debugger: Fix a crash when the locals or func args are disabled during
    debugging session
  * debugger: Refresh watches, when locals or func args are added during
    debugging sessoin
  * ui: Remove the shortcut for hiding the editor tabs, because it causes
    too much complaints in the forum
  * CC: handle macro definition correctly, distinguish between function
    like macro definition and variable like definition (thanks Huki)
  * CC: correctly find the end of a c style comment (thanks Huki)
  * CC: only skip after single equal sign, not double equals sign (thanks
    Huki)
  * CC: when reading the parentheses, set the correct Tokenizer
    mode(tsReadRawExpression), also skip comments after the first '(' (thanks
    Huki)
  * ThreadSearch-plugin: initially load search history in toolbar combobox
  * ThreadSearch-plugin: really remove last item of toolbarcombo, if
    max-count is reached
  * ThreadSearch-plugin: use right-click event instead of menu event to
    invoke context-menu of logger-tree, this avoids annoying pop up of the
    infopanes context menu after the tree contextmenu was closed (happened at
    least with wxGTK)
  * ThreadSearch-plugin: do not skip delete-event, to avoid double
    invocation of it, fixes an assert and (sometimes) crash with wx2.9+ (at
    least with wxGTK)
  * ThreadSearch-plugin: immediately return from loggert-tree click event,
    if the tree was cleared; avoid annoying pop up of "Failed to retrieve
    file path and line number" messagebox after leaving configuration dialog
    (happened at least on wxGTK)
  * pumped wxPDFDoc to 0.9.4 (includes many changes related to wx29)
  * pumped (wx)scintilla to v3.3.5
  * pumped astyle lib to v2.0.4 final
  * applied patch #3478: Add line breaking option to AStyle
  * applied patch #3480: Fix menu entry for scripts are not updated
  * ui: Allow the user to change the colours of the linenumbers and the
    margin in the editor
  * info_window: Improve multi monitor support
  * CC: reliable working of UngetToken() when macro expansion is involved,
    it set the undo index value correctly(thanks Huki)
  * CC: avoid take backward step (UngetToken) twice in the Tokenizer class
  * colours: Use the proper constant for start page's background,
    wxSYS_COLOUR_BACKGROUND returns the destop's colour on windows (related
    to r9361)
  * colours: Use wxSYS_COLOUR_WINDOWTEXT colour instead of just black for
    the text colour

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 13 Oct 2013 12:58:47 +0200

codeblocks (12.11svn9295-0ubuntu1~raring) raring; urgency=low

  * applied patch by LETARTARE:
    http://forums.codeblocks.org/index.php/topic,18250.msg124828.html#msg1248
    28
  * Move occurrence highlighting from cbEditor into a plugin
  * pumped underlying squirrel scripting lib from v2.2.4 to v2.2.5 (stable)
  * add compiler warning : -Wnon-virtual-dtor (Warn if a class has virtual
    functions but no virtual destructor)
  * debugger: initial re-implementation of locals and function arguments
  * Modify the plugin to create two special watches one for locals and one
  * for arguments. Modify drivers accordingly (CDB does nothing
  * Enable the options for locals and arguments in the settings
  * debugger: make locals/args read only (users won't be able to change
    their values)
  * Add two new popup menu items in the watches window -> one to switch the
  * flag for a particular watch and one to update a particular watch
    manually
  * debugger: allow the user to control which watches should be updated
    automatically and which shouldn't

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 08 Sep 2013 12:56:42 +0200

codeblocks (12.11svn9246-0ubuntu1~raring) raring; urgency=low

  * no list since it has been such a very long time, just enjoy it ...

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 10 Aug 2013 12:03:22 +0200

codeblocks (12.11svn9156-0ubuntu1~precise) precise; urgency=low

  * no list since it has been such a very long time, just enjoy it ...

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 16 Jun 2013 13:26:46 +0200

codeblocks (12.11svn8982-0ubuntu1~precise) precise; urgency=low

  * no list since it has been such a very long time, just enjoy it ...

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 27 Apr 2013 09:41:55 +0200

codeblocks (12.11-0ubuntu1~precise) precise; urgency=low

  * Update to release 12.11

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 08 Dec 2012 09:21:58 +0100

codeblocks (10.05svn8598-0ubuntu1~precise) precise; urgency=low

  * fix translation issues for other languages than English (please don't
    put too much intelligence in wordings, it may break i18n)
  * fix issue with multiple display, as described here:
    http://forums.codeblocks.org/index.php/topic,17038.msg116770.html#msg1167
    70
  * wxSmith: don't allow to unsplit the "Resource" tab (otherwise it cannot
    be split anymore and it doesn't make sense anyways)
  * general clean-up of wxSmith dialogs (no functional change!)
  * wxsSizerParentQP: compute checkbox for "border all" correctly
  * encoding detector: improved detection of files that contain 0x00 (its
    more correct now and reads until 0x00 at least)
  * applied (modified) patch #3371: EditorTweaks: Fix bug #18795
  * debugger: fixed "Cannot find bounds of current function" issue
    (debugger cannot be stopped after a Step() resulting in that message)
  * CC: fixed crash bug described here:
    http://forums.codeblocks.org/index.php/topic,17115.0.html
  * CC: fixed images shown wrong sometimes in symbol browser
  * applied patch by Alpha to remove some annoyance in EditorTweaks plugin
  * applied patch #3374: SpellCheck: fix tooltip on Linux
  * applied patch #3375: CC: handle local scope
  * GDB: attempt to fix bug described here:
    http://forums.codeblocks.org/index.php/topic,17114.0.html
  * fix bug #18791: "Multiple matches" message when "find declaration" used
  * SFML wizard: make it more generic

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 23 Nov 2012 21:14:45 +0100

codeblocks (10.05svn8549-0ubuntu1~precise) precise; urgency=low

  *  cbPlugin API change: replaced pure virtual functions with empty
    implementations, removing the necessity for every plugin to implement
    them, regardless of actual need.
  *  SmartIndent: default brace and selection brace completion
    implementation for all languages (thanks to Alpha)
  *  EditorTweak: bug fix - some options were not saved correctly. Also
    tidies up EditorTweaks config names (warning: this breaks previously set
    EditorTweaks settings)
  *  cbplugin: fix missing return value and increase SDK version
  *  applied patch #3324: Add colour selection warnings and errors in
    Enviroment->View (for dark schemes)
  *  applied patch #3342: Honour compile priority during parallel build
  *  improved sorting of project files by weight
  *  applied (modified) patch #3323: Abbreviations auto-complete
  *  applied patch #3250: Remove an extra item separator in right click
    menu of CC
  *  applied (modified) patch #3356: Fix: DLL Template + win32gui dialog
    template for manifests
  *  applied patch by dmoore/darmar to enable multiple CC to easily handle
    files of certain type
  *  added "IsProvciderFor" API to (CC) plugins for that purpose
  *  pumped (wx)Scintilla to v3.2.3
  *  fixed some lexers (partially on behalf of alpha)
  *  support for debugger "During startup program exited with exit code
    0xABCD" abort criteria
  *  CC: fixed freeze bug, described here:
    http://forums.codeblocks.org/index.php/topic,17046.0.html
  *  adjust the size of an old window session to current display on
    start-up
  *  raise auto-detect compiler windows so it is top-most on start-up of
    C::B
  *  print what compilers cause auto-detection to be shone in the debug log
    (for reference)
  *  applied patch #3355: EditorTweaks: Aligner - Auto
  *  applied patch #3354: EditorTweaks: buffer caret position
  *  applied patch #3359: A little patch to enable the use of windows help
    collections

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 11 Nov 2012 22:00:04 +0100

codeblocks (10.05svn8466-0ubuntu1~precise) precise; urgency=low

  * compiler: Major refactor - remove the generator object from the
    compiler
  * fixed DoxyBlocks plugin totally wrong event handler interfaces (fixes
    crashes described here:
    http://forums.codeblocks.org/index.php/topic,16938.msg115346.html#msg1153
    46)
  * EditorTweaks: new option 'Convert Matching Braces'. If user selects a
    brace with a match and types a brace of a different type, the match will
    be changed to the same type. If a selected brace is deleted with the DEL
    key, its matching brace will also be deleted. Option is disabled by
    default and available in the Edit->'Editor Tweaks' menu
  * debugger: Fix parsing watch output, when there is an escaped quote
    inside a string

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 21 Oct 2012 13:50:48 +0200

codeblocks (10.05svn8455-0ubuntu1~precise) precise; urgency=low

  * debugger: Fix the ToggleBreakpoint function to work correctly with
    multiple debugger plugins;
  * debugger: Fix the remove operation in the breakpoints dialog to
    correctly refresh the markers;
  * debugger: Implement proper adjusting of breakpoints, when lines have
    been added/removed in the editor;
  * debugger: Add API function to remove all breakpoints correctly;
  * debugger: Sanitize user input to prevent debugger stalls, caused by the
    character '\' at the end of the GDB command;
  * debugger: Detect changes of the symbol of a watch inside the AddWatch
    call (related to the prev commit);
  * fixed bug #18752: Invalid handling of UNC path's in workspace (and
    project) files
  * applied patch #3347: SmartIndent: more smart indenting by ALPHA
  * applied patch #3347: SmartIndent: more smart indenting (2) by ALPHA
  * SmartIndent-plugin (linux): added XML-plugin to automake-system and
    contrib-plugins list for debian and rpm-base systems
  * Find/Replace: remember search path, wild cards etc for find/replace in
    path (regression) (Thanks Alpha for the patch, rickg for the report)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 14 Oct 2012 19:55:26 +0200

codeblocks (10.05svn8438-0ubuntu1~precise) precise; urgency=low

  * automake-system: make sure pch's are not created along the sources,
    when building from seperate builddir; avoid conflicts when building
    different versions from same source-tree
  * codesnippets-plugin: rename DragScrollEvent to sDragScrollEvent and
    ThreadSearchEvent to sThreadSearchEvent to avoid asserts due to conflicts
    while RTTI registration of the DragScroll- and ThreadSerarch-plugin in
    wx2.9
  * pumped (wx)Scintilla to 3.2.2, harmonised (wx)Scintilla with wxSTC from
    wxWidgets SVN (which happened to have updated scintilla, too lately)
  * fixed bug #18717
  * fixed bug #18714
  * codesnippets-plugin: fix assertion in event-connection; id-range
    upperbound should be greater than the lower-bound, but this can not be
    guaranteed with XRCID's, so we connect them all manually
  * Find/Replace: make the UI more consistent by sharing a common dialog
    resource and class. Adds the ability to find/replace in projects other
    than the active one and specific targets. Also adds the ability to
    replace in a specified path with specified mask (previously only
    available for find)
  * KeyBinder - Merge some global accelerators into the menu table; leave
    rest as is
  * - Remove Ctrl-C/V/X (copy/paste/cut) from menu keybinder table to allow
    native behavior
  * Find/Replace: disable find in files project/workspace scope options
    when no project is open (Thanks alpha). Reorder the constructor logic to
    hopefully correctly hide the Find tab when no editor is open (MS windows
    issue).
  * SDK: Adding a new option named "AUTO" in the "Editor Settings"->"End of
    line options", this will let the editor automatically detect which EOL
    should be used, in a mixed EOL files, using a voting logic. This
    implement the Feature Request #3969, also see discussions in:
    http://forums.codeblocks.org/index.php/topic,16764.0.html.
  * applied patch #3328: Do not spam log with "Toggling start page"
    messages.
  * wxsmith: implement Feature Request #5540 "Jump to event handler
    implementation", now in the event editor window, the user can double
    click on the event name (an entry in the left column), if the event has
    an associated event handler (function body), it will jump to this
    function body. See discussions here:
    http://forums.codeblocks.org/index.php/topic,16323.msg114197.html#msg1141
    97
  * wxsmith: fix Bug #18718 "wxSmith does not save selected check menu
    settings" by reading the "checked" value from the xml file.
  * cbauibook: use the window label to store tooltip; avoids possible
    conflict with keybinder-plugin
  * cbstyledtextctrl: remove remaining event-handlers in dtor, to avoid
    asserts/crashes in wx2.9
  * wxSmith-plugin: avoid assert and crash, when trying to get the
    last-character of an empty wxString (wxWidgets-bug ?)
  * CppCheck-plugin: avoid crash on shutdown with wx2.9 similar to
    compilermessages
  * Valgrind-plugin: avoid crash on shutdown with wx2.9; CppCheck-plugin
    tiny source-formatting fix
  * make autorevision work with git-svn and older version of svn that are
    not able to create xml-output
  * (re-)applied patch #3260: Move QueryClose() functionality to EditorBase
    (where did it get lost?!)
  * debugger: allow the use of macros for remote debugging, namely
    addresses and ports
  * wxSmith-plugin: fix assert, because of two properties with the same
    name, renamimg the property for the numeric value to "Border width"
  * Find/Replace: added back option to clear prior find in files results,
    tweaks to dialog layout, and workaround for hiding the find page on
    windows
  * Find/Replace: must check for removal of the find page before trying to
    access a second notebook page
  * Find/Replace: must check for removal of the find page before trying to
    access a second notebook page (missing change in last commit)
  * Find/Replace: turning on regex correctly disables direction
  * find/replace: fixes critical find/replace bug introduced with revs
    8357-8360, ensures the find edit combo gets focus at dialog
    initialization and when switching between pages
  * wxSmith-plugin and wxSmithContribItems: fix more asserts, because of
    two properties with the same name
  * wxSmith-plugin: wxspropertycontainer.cpp: call RestoreSelected() after
    Thaw(), to ensure selection gets scrolled in the visible range.
  * wxSmith-plugin: menu-editor: don't try to expand root-item, because it
    is hidden
  * wxSmith-plugin: wxsitemeditor.cpp: avoid unnecessary calls of
    FitInside() and Layout(); use Refresh() instead of Update() to invalidate
    the itemeditor, fixes a longstanding (at least on linux) bug where a a
    newly added tool or dialog was not shown in the toolspace after adding
    it; make the toolspace visible on wx2.9
  * find/replace: 1. workaround for focusing find control after switching
    tabs on linux 2. disable find in open files if no files open.
  * wxScintilla: Workaround for brace and occurrence highlights not being
    redrawn consistently, see
    http://forums.codeblocks.org/index.php/topic,12164.msg114314.html#msg1143
    14
  * applied patch #3337 to close bug#18706: Doxyblocks hint correction
  * cbauibook: use drag-done event to update the tabctrl-array and
    (re-)bind events if necessary; fixes an issue with tabtooltips sometimes
    not being shown in just dragged tabs
  * applied (slightly modified) patch by ALPHA to use same directory
    separators in project files (.cbp) on windows/Linux platforms
  * see discussion here:
    http://forums.codeblocks.org/index.php/topic,16596.0.html
  * applied patch #3329: Jump to PP directive: search first line
  * Fix an issue in batch-build mode on windows, where the tab-context menu
    has disappeared immediately after showing it; some code cleanup in
    cbauibook.cpp
  * ThreadSearch: Add easier access to some of the options;
  * The options button now shows a menu and now the user can enable/disable
    options like - whole word, start word, match case, regular expression;
  * Make the localization to be off by default, hopefully this will
    minimize the number of people getting the right-to-left text issue;
  * debugger: Remove all Pointer typedefs from the base classes (cbWatch,
    cbBreakpoint, cbStackFrame, cbThread);
  * SmartIndent Refactoring applied
    (http://forums.codeblocks.org/index.php/topic,16587.0.html) Thanks to
    MortenMacFly, Jens (auto-foo) and darmar (FortranSmartIndent)
  * applied patch #3332: Enhanced ctrl context menu
  * applied patch #3333: Define collection: make persistent
  * applied patch #3340: SpellChecker: more dictionary based tools
  * applied patch #3338: Irrlicht Template update: Invalid initialisation
    of reference of type
  * applied patch #3344: Abbreviations: follow active EOL style
  * fixed multiline textboxes on Ubuntu that default to zero height (patch
    by ALPHA)
  * minor API changes in cbStatusBasr and ProgressDialog (un-used so far to
    my knowledge) to avoid compiler warnings
  * added basic support for importing MSVC10 solutions/projects (files only
    for the moment)
  * some further support for importing MSVC10 solutions/projects (defines,
    libs, includes, switches)
  * speedup scrolling in wxScintilla, remove no longer needed
    workaround/hack to block mousewheel-events;
  * see:
    http://forums.codeblocks.org/index.php/topic,12164.msg112891.html#msg1128
    91 and also: http://trac.wxwidgets.org/ticket/9057
  * added fix for native applications as described here:
    http://forums.codeblocks.org/index.php/topic,16560.msg112575.html
  * cleaned up the XRC mess in replace dialog
  * separated editor/project hooks via namespace
  * wxScintilla: implemented DrawRGBAImage
  * fix memory leak : (deprecated) auto_ptr can NOT deal with arrays
  * gcc 4.7 build fixes: no need to use -fpermissive compiler-flag anymore
  * applied patch #3310: Fix use of numpad enter
  * CC: fixed max_matches settings
  * CC: moved parsing of project o DoParseOpenedProjectAndActiveEditor (in
    preparation)
  * CC: renamed ParsingType to ParserState and moved it to namespace
  * CC: separated macro parsing of GCC and MSVC
  * CC: AddGCCCompilerDirs no does not need a compiler anymore -> can be
    moved to ParserBase for tests
  * CC: applied (modified) patch #3311: do not draw tooltips off the edge
    of the window. ignore wxSCI_C_IDENTIFIER and wxSCI_C_GLOBALCLASS in
    editor tooltip
  * try to fix a crash at shutdown of C::B with active debugger session
  * debugger: exit properly when application cannot be run (i.e. on
    Windows: Missing access rights)
  * CC: avoid refreshing class browser if not needed
  * CC: report issues with class browser updates (i.e. due to missing
    parser)
  * CC: changed logic of how parser stores file names (they are always
    being converted to forward slashes for comparison) -> should be more
    fail-safe, i.e. with patch from here:
    http://forums.codeblocks.org/index.php/topic,16596.msg113355.html
  * CC: avoid expensive calls to UnixFileName
  * BrowsTracker - Add option to wrap jump entries
  * applied (slightly modified) patch #3313: Improve handling of inactive
    preprocessor code
  * added power user support for units glob feature (these are directory
    paths that can be specified, and all files in there will be considered as
    sources for the project. This can be based on a wildcard for the * file
    types, and can be recursive. When no wildcard is specified (empty) the
    default CB wildcard for adding files is used.
  * applied patch #3315: Fix 018704 bug related to 'paste' into
    IncrementalSearch
  * provided cppcheck plugin with a config panel to setup cppcheck app and
    args (closes some "bug" reports with deprecated options)
  * applied patch #3316: SpellChecker: search harder for resources
  * SpellChecker: updated hunspell to 1.3.3 (Windows only)
  * applied (modified) patch #3319: Fix loading of custom colour schemes
  * wxSmith: removed specialisations not required for some controls (font
    picker, rich text, simple html listbox), should fix the wxValidator issue
    reported here: http://forums.codeblocks.org/index.php/topic,16744.0.html
  * added two new SDK events: cbEVT_PROJECT_OPTIONS_CHANGED and
    cbEVT_COMPILER_SETTINGS_CHANGED
  * pumped (wx)Scintilla to v2.2.7
  * wxSmith-plugin: build-fix
  * ThreadSearch: made the list view to use the same font as the loggers
    (the default font is too big on my Centos)
  * make sure pch's are built in correct order, should fix some pch-related
    compile-issues (if sdk-header have changed). see
    http://forums.codeblocks.org/index.php/topic,14868.msg99987.html#msg99987
    for details
  * automake-system: only use debug-flag, if it is explicitely enabled, do
    not use optimization-flags for debug-version; see
    http://forums.codeblocks.org/index.php/topic,14868.msg99997.html#msg99997
    for details
  * cbAuiNotebook: add option to invert the scrolling direction
  * refinements/fixes for commit 7298: add the option to invert scrolling
    direction for advance through tabs and move tabs; read the settings from
    configmanager if a new notebook is created
  * fixed crash candidate in cbEditor
  * some tiny spelling/formatting corrections
  * CC: Code refactoring
  * CC: Fix an invalid lock
  * CC: Fix an deadlock, thank Jens!
  * CC: Fix crash when expand the base classes in the tree
  * CC: Redesign thread-locker for class browser
  * CC: Improve build locker for class browser
  * SDK: Added validity test when calculate common top level path, see
    http://forums.codeblocks.org/index.php/topic,15023.msg100822.html#msg1008
    22 for more details
  * CC: Add some comments, thank ollydbg!
  * CC: Add new option for headers code-completion
  * CC: Improve CC's option page
  * CC: Fix bug of class browser when using parser per whole workspace
  * CC: Can't support to view all local symbols (workspace) when one parser
    per project
  * CC: Improve events handler
  * SDK: Add cbThreadPool::GetId() interface
  * CC: Improve parser events handler
  * CC: Fix a serious logic error
  * CC: Fix crash after reread parser options
  * added SpellChecker plugin by danselmi to main repo, adjusted C::B based
    build system (Linux build system missing)
  * codecompletion-plugin: fix a bug that leads to a crash if
    "Settings->Editor" dialog is openened
  * added libhunspell-dev to debian build-dependencies (needed for
    spellchecker); partially reformat debian control file; missing part of
    comment for last commit: svn:kewords have been added to
    spellchecker-files
  * CC: Fix bug of batch parsing
  * CC: Fixed crash candidate
  * CC: Removing unwanted code of TokenTree::RecalcData
  * CC: Code clean
  * CC: Add CCLogger module
  * CC: Code refactoring
  * CC: Code refactoring for Parser class
  * CC: Do not follow any includes if parsing a buffer
  * SDK: Sends cbEVT_THREADTASK_ALLDONE message only the real task is all
    done
  * CC: Sending asynchronous message for toolbar (OnScope)
  * CC: Improve class browser update
  * added path 8.3 notation workaround for all include directories on
    windows (for stupid compilers, like e.g. the MinGW resource compiler)
  * simplified interface to process include paths for (resource-) compiler,
    linker etc...
  * MinGW resource compiler command now complies with what's suggested
    here:
    http://sourceforge.net/tracker/index.php?func=detail&aid=1640385&group_id
    =2435&atid=102435
  * make (resource-) compiler and linker includes unique to avoid duplicate
    paths (and thus shrink command line)
  * windows only: do not focus notebook-tabs, if tab-scrolling with
    mousewheel is disabled; fixes issue described here:
    http://forums.codeblocks.org/index.php?PHPSESSID=vor9k3gevlm8o3ik30km9c5b
    q4&topic=15088.msg101005#msg101005
  * CC: Fix range error of function arguments search
  * CC: Fix switch parser failed when close a project from workspace
  * DoxyBlocks : fix directory creation bug
  * CC: Add missing locker
  * CC: Improve file reparsing when editor save or modified
  * CC: Simplify Parser interface
  * CC: Fix reparse bug, some code optimization, refactoring
  * CC: Improve Parser event handler
  * CC: Improve one parser per whole workspace, fix project info update
  * SDK: Enhance the performance of load files
  * CC: Improve batch-parsing
  * massively decrease startup time for batch builds (especially for large
    projects)
  * codecompletion-plugin: fix deadlock
  * compiler-plugin: fix a bug, that occurs for custom makefiles with
    relative paths: a click on an errormessages does not jump to the
    errorfile / -line, because of incorrect generated filenames, see:
    http://forums.codeblocks.org/index.php/topic,15122.msg101237.html#msg1012
    37
  * fix a bug in automake system, that can make configure fail in some
    cases; see
    http://forums.codeblocks.org/index.php/topic,11307.msg101310.html#msg1013
    10 for details
  * CC: Fix add file to parser failed, add more debug log
  * applied patch #3188 to fix bug #18205 (thanks wilk_gardariki)
  * applied patch #3183 to fix bug #018223 (thanks deadok)
  * CC: Improve toolbar refresh
  * CC: Improve Parser interface
  * CC: Code refactoring
  * CC: Fix bug of parser switch from editor activated
  * CC: (hopefully) Final fix the still parsing bug
  * CC: Fix parsing type update

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 07 Oct 2012 23:46:36 +0200

codeblocks (10.05svn8150-0ubuntu1~lucid) lucid; urgency=low

  * backport to Ubuntu 10.04 (Lucid Lynx)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 27 Jul 2012 08:20:26 +0200

codeblocks (10.05svn8150-0ubuntu1~precise) precise; urgency=low

    * debugger: Added support for parsing watches returned by the python
    printing
    * codestat: Select any project or entire workspace to get statistics
    (patch #3271, thanks sbezgodov)
    * applied patch by stahta01 to reduce #defiens needed for compilation
    of wxPropGrid (see here:
    http://forums.codeblocks.org/index.php/topic,15938.msg107359.html) -> use
    was in-consequent anyways
    * updated wxScintilla core to integrate a patch of darmar (for
    scintilla) to fix Fortran indention
    * wxScintilla now uses wxFFile for loading and saving (like wxWidgets),
    if available (should speed up file operations a little)
    * applied patch #3304: Move line(s) up/down (shortcut)
    * fixed accelerators used twice in main menu
    * applied patch #3305: Replace all: Use Freeze/Thaw (increases speed)
    * edit watched resource: removed obsolete sub-resource "dlgEditWatches"
    (only "dlgEditWatch" is used)
	 - made dlgEditWatch resizable
    * include lower capital "warning" message in GDB's ignore list
    * fixed a crash but in MSVC 10 loader
    * updated Windows project files so they work if "devel" output folder
    and sub-folder do not exist yet
    * updated Windows project files for easier debugging of plugins
    * added EditorConfig plugin
    * fixed certain project files on Unix
    * added Code::Block Unix workspace file (=Code::Block project file +
    Contrib plugins workspace)
    * first update of C::B installer script (not yet complete)
    * second update of C::B installer script (probably complete? - needs
    testing!)
    * applied patch #3238: Remove a lot compiler warnings (unused vars;
    signed/unsigned)
    * updated (wx)Scintilla to 3.2.1 also fixing wxSmith folding
    * EditorConfig-plugin (linux): fix error in Makefile.am, that prevents
    the plugin from being build with automake-system
    * EditorConfig-plugin (linux): fix for make dist
    * updated wxPdfDocument to v0.9.3 (for source exporter plugin), also to
    fix some memory leaks and font issues
    * wxSmith new window dialog: clarify options and don't use member
    variables if not needed
    * wxSmith: implemented ability to select specific wxValidator's (other
    than wxDefaultValidator) for all widget classes
    * wxSmith: Fixed a bug with float values on some locales, based on a
    patch
    * add ability to hide the editor tabs, can be toggled with "View ->
    Hide editor tabs" or "Ctrl+H"
    * compiler: avoid creating target output folder twice (should speed-up
    compile time)
    * compiler: avoid integer overflow in depslib
    * compiler: avoid checking for filetype twice
    * Compiler plugin: Fix the multiply select items issue in the
    wxListBox, see the discussion here:
    http://forums.codeblocks.org/index.php/topic,16550.msg112303.html#msg1123
    03
    * improve and clarify auto-detect compilers dialog a lot
    * support -Wzero-as-null-pointer-constant compiler warning flag on the
    gnu compiler family
    * debugger plugin : added support for extended-remote for remote
    debugging
    * Tools Plus plugin : fix : when tools list is empty and tools get
    imported the first entry will no longer be EMPTIED
    * ToolsPlus plugin : support reuse of the tools page (window)
    * CC: fixed options not saved for symbol browser and some others
    * applied patch #3246: Added Java lexer
    * updated wxScintilla to 3.20
    * added batch (re)build_all files for command lie compilation of C::B
    under windows
    * applied patch #3295: Compiler: implement flag checks
    * applied patch #3279: Do not strip first blank when saving diff files
    * applied patch #3296: Tabs: tidy context menu (part 2)
    * added new manager method: IsAppStartedUp as listening for the related
    APP_STARTUP_DONE event makes no sense in case a plugin is re-activated
    but is used inn some places
	 - (needs to be used in CC to fix a bug that when re-activating the
    CC plugin the parser does not start)
	 - some clean-up in the code of the core Manager: remove methods
    appearing twice (isappShuttingDown and IsAppShuttingDown) in favour of
    CamelCase, to cleanup the API once and for all
	 - adjusted all plugins under SVN - some are missing, like the
    FortranProject and TortoiseSVN plugin which hopefully will be adjusted by
    their maintainer
	 - pumped SDK version therefore
    * added workspace file for Code::Blocks build_all script whcih contains
    C::B project (with core plugins) plus the contrib plugins workspace
    * CC: fixed bug when saving settings for header and source extensions

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 27 Jul 2012 08:02:31 +0200

codeblocks (10.05svn8059-0ubuntu1~lucid) lucid; urgency=low

  * backport to Ubuntu 10.04 (Lucid Lynx)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 18 Jun 2012 07:04:21 +0200

codeblocks (10.05svn8059-0ubuntu1~precise) precise; urgency=low

  * fixed crash candidate when working w/o workspace
  * applied patch #3247: Remember folding (thanks marazm)
  * applied patch #3253: Lexer updates (filemasks and keywords), (thanks
    alpha0010)
  * applied patch #3270: CMake lexer (thanks alpha0010)
  * compiler: Improved the 'Force target relink' featuer introduced in
    r7595 - now the relinking is done correctly even if the library is set in
    the project or in the compiler settings;
  * support -std=c++11 compiler flag on the gnu compiler family
  * debugger: Fix parsing watches output for static member with optimized
    values (thanks OsminohejTygr Smiley for providing the test case)
  * debugger: Changed the UI name of the GDB debugger to GDB/CDB, so users
    are less confudes searching for the CDB debugger settings;
  * project options dialog: allow to quickly enable/disable all files that
    belong to a target
  * fixed bug described here:
    http://forums.codeblocks.org/index.php/topic,16412.msg111565.html#msg1115
    65
  * CC: avoid showing a call tip twice (in case same tip from different
    parents)
  * SDK: remove the virtual modifier of the operator=() functions, this
    silence compiler warnings. see:
    http://forums.codeblocks.org/index.php/topic,16416.msg111245.html#msg1112
    45 for more details.
  * fix an issue that was introduced in commit 7543; console applications
    only run in console, if "Pause if execution ends" was checked; now the
    application runs in a terminal, if it is a console-application or if the
    host application should run in a terminal (set in programs arguments for
    the actual target); see
    http://forums.codeblocks.org/index.php/topic,16432.msg111404.html#msg1114
    04
  * fix an issue, that sometimes prevents debugger from finding the tty the
    app runs in, if not xterm is used as terminal; see
    http://forums.codeblocks.org/index.php/topic,16207.msg109484.html#msg1094
    84
  * SDK: Add a new virtual function: GetToolBarPriority(), which define the
    priority of the plugin's toolbar position, and remove the compiler
    warning. See:
    http://forums.codeblocks.org/index.php/topic,16416.msg111345.html#msg1113
    45 for more details.
  * new script binding: ExecuteAndGetOutputAndError
  * partially applied patch #3293: Tabs: tidy context menus
  * implemented ability to move/select cursor according CamelCase with CTRL
    (CTRL+SHIFT) in editor (options must be enabled) - is a scintilla
    built-in function.
  * applied patch #3278: EditorTweaks: implement strip trailing blanks
  * applied patch #3283: Context menu: Open link in browser (on behalf of
    ollydbg)
  * added compiler warnings for gcc >= 4.7 to regex-list

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 18 Jun 2012 06:57:29 +0200

codeblocks (10.05svn8024-0ubuntu1~lucid) lucid; urgency=low

  * backport to Ubuntu 10.04 (Lucid Lynx)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 11 Jun 2012 20:56:51 +0200

codeblocks (10.05svn8024-0ubuntu1~precise) precise; urgency=low

  * compiler: Switched full command line logging to be the default option
    for all compilers
  * compiler/todo: Fixed some crashes when the compiler and todo plugins
    get unloaded/loaded/unloaded. See
    http://forums.codeblocks.org/index.php/topic,16270.0.html and
    http://forums.codeblocks.org/index.php/topic,16269.0.html
  * applied patch by daniloz to auto-generate ZIPs also for core plugins
  * added "C++ " and H++" extensions to file filters and scipting
  * cbStatusBar updates / refinements, some slipped already in with last
    commit
  * changed the time the cbEVT_EDITOR_ACTIVATED event is sent, this allows
    to obtain the associated project and does no harm
  * cppcheck: make use of new file filter for C++
  * compiler messages: avoid assertion in debug build on shutdown (in
    addition to r7968)
  * allow sorting in find dialog (applied modified patch by Fnar, see here:
    http://forums.codeblocks.org/index.php/topic,15919.msg107262.html)
  * applied patch by Pecan to fix error in find in files dialog, see here:
    http://forums.codeblocks.org/index.php/topic,16278.0.html
  * applied patch #3282 by alpha0010 to fix auto-indent with CR line
    endings
  * applied patch #3281 by ziss_dm for a slight correction for the
    EditorColourSet::GetLanguageForFile to allow filemasks
  * fix calculation of relativeToCommonTopLevelPath in cbproject.cpp; fixes
    issue described here:
    http://forums.codeblocks.org/index.php/topic,16322.msg110516.html#msg1105
    16
  * build-fix: remove remaining initialisation of no longer existant
    progressbar-variable
  * help-plugin (linux): make it compilable from separate build-folders, if
    no development files for bzip2 or zlib are installed
  * CC: Fix a bug when parsing some kind of buffer like "const
    ALib::CommandLine & cmd", the tailing space should be preserved in m_Str.
    See more details on
    http://forums.codeblocks.org/index.php/topic,16361.msg110868.html#msg1108
    68
  * pumped ASTYLE plugin to astyle v2.03, see here:
    http://forums.codeblocks.org/index.php/topic,15745.msg108900.html
  * EditorTweaks plugin: add option to configure maximum of store aligner
    items
  * applied patch by daniloz to fix bug described here:
    http://forums.codeblocks.org/index.php/topic,14517.0.html
  * CppCheck : save xml file so it can be processed by CI systems like
    jenkins
  * applied (modified) patch 2748 (thanks raybert) : active project no
    longer stored in workspace but in dedicated layout file for the
    workspace, and preferred target concept
  * debugger: Modified wxPropGrid to call OnExpand/OnCollapse when the
    left/right arrow keys are used.
  * This fixes a bug in the Watches window not calling OnExpand/OnCollapse
    for the watch, thus breaking the gdb/mi debugger
  * debugger: Made it possible to add data breakpoint from the watches
    window (right click on a watch -> add data breakpoint)
  * debugger: Adding a watch from the context menu must show the Watches
    window

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 04 Jun 2012 08:58:54 +0200

codeblocks (10.05svn7966-0ubuntu1~precise) precise; urgency=low

  * docu: first update of documentation (made it compile under WinEdt)
  * Debugger plugin: detecting the PID value by parsing the "[New Thread
    2684.0xf40]" like string under MinGW GDB, this avoid to set on/off the
    debugevents when debugger plugin started and simplify the logic. See:
    http://forums.codeblocks.org/index.php/topic,16159.msg109092.html#msg1090
    92 for more details.
  * fixed layout issues on certain platfoms (see here:
    http://forums.codeblocks.org/index.php/topic,15376.0.html)
  * sdk: Added FindProjectForFile function to the ProjectManager, useful
    when one needs to find the project for a given file. Refactored the code
    to use the new function;
  * debugger: Speed up workspace loading/closing (thanks Pecan);
  * save/load dynamic link library lib name and def file into project file
    -> *backward compatible* change in project file
  * finalised re-work of debugger settings dialog so it sizes correctly
    (fist file already got committed in r7940 by accident)
  * abbreviations plugin: applied patch by Neil Butterworth (see
    http://forums.codeblocks.org/index.php/topic,15450.0.html)
  * abbreviations pluginlist abbreviations in alphabetic order + cursor
    visible in the abbreviation code editor
  * readded close with middle-click on editor- and infopane-tabs,
    accidently lost in commit 7911
  * fixed eol-style issues: Added svn:eol-style=native to all files, used
    the dos2unix tool for some of the broken files (see r7945)
  * fixed regression with import library generation as reported here:
    http://forums.codeblocks.org/index.php/topic,16199.msg110084.html
  * optimised writing import library name only in case it differs from the
    default value (as with all other options)
  * optimised layout of debugger dialogs (in core) -> should be centered
    properly now.
  * fixed word wrap mode not selectable as reported here:
    http://forums.codeblocks.org/index.php/topic,15883.0
  * Improved the UI for the first time C::B is started and there is no
    default.conf file
  * Fix Bug #18534 "Functions returning T* are displayed as returning T",
    use the m_FullType instead of m_BaseType, so the call-tip shows correctly
    when the user enter a left parenthesis.
  * update of wxSmithSTC to STEdit from v1.2.6 to v1.6.0
  * CppCheck: Applied patch by Alpha: Proper macro replacement in case of
    virtual target present

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 May 2012 15:45:42 +0200

codeblocks (10.05svn7932-0ubuntu2~oneiric) oneiric; urgency=low

  * backport to Ubuntu 11.10 (Oneiric Ocelot)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 09 May 2012 17:57:00 +0200

codeblocks (10.05svn7932-0ubuntu1~precise) precise; urgency=low

  * debugger plugin: Adjust the regular expression to match the pending
    breakpoint of gdb 7.5 and later. See:
    http://forums.codeblocks.org/index.php/topic,16116.msg109217.html#msg1092
    17 for the detailed discussion
  * debugger: Try to use the project's compiler first, if there is no
    active target, then try the default compiler (thanks to Pecan)
  * SpellChecker plugin: fixed another crash-candidate, remove duplicate
    code
  * fixed inconsistency in wxSmith plugin (out of sync with wxSmith files)
    as reported here:
    http://forums.codeblocks.org/index.php/topic,16195.0/topicseen.html
    (thanks frithjofh)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 14 Apr 2012 15:34:18 +0200

codeblocks (10.05svn7925-0ubuntu1~oneiric) oneiric; urgency=low

  * MERGED DEBUGGERS BRANCH (wxpropgrid_debuggers) BACK IN TRUNK (all the
    changes in the branch are incorporated in trunk, now)
  * plugin manager: changed API for CC plugins to query for file extensions
    the CC plugin is capable to code complete
  * CC: re-implemented support of code completion for lexer keywords

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 12 April 2012 08:29:01 +0200

codeblocks (10.05svn7917-0ubuntu1~oneiric) oneiric; urgency=low

  * header fix-up plugin: dont "spam" config file if not needed
    have C::B flush the current config on "SaveAll" (nice if a nasty plugin
    crashes C::B at shutdown and thus configuration would be lost)
  * compiler messages: disconnect events connected
  * compiler: make compile file request work better (without user interaction
  * compiler: improved way for setting up compiler environment with respect
    to PATH envvar
  * compiler: removed makefile generator in favour of makefile plugin (needs
    to be added later)
  * valgrind: Add support for projects with virtual targets, like the
    Codeblocks-unix.cbp project
  * valgrind: Add support for targets, where the execution directory is !=
    '.'
  * added (modified) Tools+ contribution by Alpha
  * fixed silent crash on wx28, Windows (32 bit)
  * show an info, if a wrong DDE topic has been received (Windows)
    set minimal wx version to 2.8.9
  * valgrind:
    * Improved the printing of the stack, now the whole stack is printed in
      consequtive lines;
    * Added the option to track-origins, usefull for debugging the
      unitiliazed access errors;
    * Printed the second stack related to the track-origins option. Also
      printed the auxwhat value;
    * Added ValgrindListLog::Fit() function, called at the end of the log
      generation, so all the text is visible and the user don't have to move
      the column sliders
  * valgrind: Added a menu item to load an external xml log file for the
    MemCheck tool
  * valgrind: Added configuration panel in the Compiler/Debugger Settings.
    With this dialog the user can control
    the path to valgrind executable, additional arguments, some of the mem
    check options
  * added support to import DLL configurations for MSVC7
  * added support for "FileConfiguration" node for MSVC7 projects (i.e.
    additional includes)
  * make use of project UUID for calculating dependencies between MSVC7
    projects
  * first attempt to add support for importing MSVC10 solutions / workspaces
    / projects (not yet working for all new features)
    added 64 bit project files (Windows), using a custom 64 bit compiler
    -> make a copy of "GNU GCC Compiler", rename it it to "GNU GCC 64
    Compiler", so the project file works
    merged wxSmith branch into trunk
  * this brings tons of new wxSmith items, including KWIC, wxImagePanel,
    wxGridBagSizer and more
    wxGTK > 2.9: fix Freeze()/Thaw() issue if editor gets (un-)splitted;
    after thaw nothing was repainted
    simplified compiler plugin and PipedProcess interface to reduce
    complexity(in preparation for a bugfix)
  * compiler: show output size even in case output specification (filename)
    contains macros
  * applied patch #3215: add STL and C Library bindings to HeaderFixup
  * applied patch #3234: Brace completion over selected text (slightly
    modified)
  * CC: applied patch by Darius Markauskas (darmar) to allow foreign CC
    plugin to take over (basically CC skips file types other than C / C++
    now)
  * properly make sure CB_PRECOMP is un-defined in case NOPCH is defined
  * cbauibook: Make sure, MinimizeFreeSpace is not called from insize the
    resize event, because this does not work on wx2.9
  * CC: extracted UI independent code of native parser into an own base
    class, so we can write tests for it (and use it in ParserTest project)
    - unfortunately, this was not possible for CC's whole AI functionality,
    so some parts are still missing
  * applied patch #3216: point SpellChecker url directly to (moved) wiki-page
  * applied (modified) patch #3249: Cygwin Compiler Autodetect fix
  * applied (modified) patch #3230: CppCheck: filter non-C/C++ files; update
    commandline options
  * applied (modified) patch #3162: Append correct line feed in the
    GetGeneratedFile function of scripted wizard
  * fix an issue, that prevents infopane's tab layout from being saved when
    compiled with wx2.9; removed unneeded ifdef
  * fix crash, if all tabs in infopane are closed and the right mouse-button
    is clicked in the tabcontrol
  * autosave:
    * Added option to auto-save the workspace;
    *   Added option to save all projects in the workspace, instead of the
      active one only;
    * Fixed a bug: prevent the user to enter timer intervals less than 1 min
  * compiler-plugin: overworked custom makefile commands, if not full
    commandline logging is used
  * filemanager.plugin (linux): fix for host-parameters in projectfile;
  * workaround a hang on close or release of plugin, due to problems with
    gamin and/or kernel.
  * make ToDo list more language independent (mentioned here:
    http://http://forums.codeblocks.org/index.php/topic,15708.0.html)
  * SpellChecker : use human-readable language names (thanks ptDev)
  * SpellChecker plugin: pumped hunspell library from 1.2.11 to v1.3.2 for
    several bugfixes -> Windows only change!
  * editor: Fixed bug introduced with commit r7411 - adding new python file
    doesn't call the OverrideUseTabsPerLanguage and the global setting for
    use-tabs is used;
  * refactoring of our own gtk-notebookstyle; don't use it with wxGTK >=
    2.9.4, because it is the default style there since r71002
  * Fixed bug mentioned here
    http://forums.codeblocks.org/index.php/topic,16125
  * fix crash with wx2.9 due to incorrect grid-sizer settings

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 05 April 2012 08:29:01 +0200

codeblocks (10.05svn7678-0ubuntu1~oneiric) oneiric; urgency=low

  * fixed a few tree selection issues introduced with switch to multiple
    selections
  * fix some more issues related to multiple selection tree-ctrl; fix linux
    (?) refreshh issue with project-tree
  * fixes for automake-system, to be able to build C::B from a
    build-directory, which is not the top_srcdir (thanks milamber for the
    hint)
  * revert commit 7307 and 7460, to increase loadspeed for large projects
    and fix the calculating of the common toplevel path, see:
    http://forums.codeblocks.org/index.php/topic,15430.msg103943.html#msg1039
    43 for details
  * compiler: allow multiple selection of directories for all operations
    (copy / delete / move...)
  * Added min size setting for the parameters text control in the 'Set
    programs' arguments' dialog
  * remove remaining gtk2-dependencies for codesnippets-plugin
  * switch ProjectFile-List to wxHashSet, decreases time needed to load
    large projects a lot
  * rename PrjTree to cbTreeCtrl to comply with other specialisations
  * added missing NULL pointer check in projectoptionsdlg
  * Force target re-link if any static library it depends on gets updated
    (i.e. no need to manually add an external dependency for static libraries
    anymore)
  * when checking for changed static library dependencies, look in
    compiler's linker search paths too
  * when checking for changed static library dependencies, include
    libraries referenced directly (w/out the use of linker's search path)
  * changed the way a tab-tooltip is set, so tooltips for newly created
    files or files "saved as" are shown correctly
  * pumped astyle to v2.0.3
  * added GNU Fortran and G95 compiler support to Code::Blocks (based on
    C::B Fortran project of darmar (TODO: Adopt Unix build system, will
    follow...)
  * added WORKSPACE_LOADING_COMPLETE SDK event, based on a patch by daniloz
  * change the way infopane tabs get reordered if necessary; speed up
    perspective changes a lot (especially on linux), see:
    http://forums.codeblocks.org/index.php/topic,15544.msg104557.html#msg1045
    57 for details
  * applied patch by xunxun to include gfortran compiler into common
    functions for scripting (setting up common compiler switches)
  * fix broken "Create project from target..."; was broken since commit
    7588
  * add plugins node (plugins enabled/disabled) to cb_chare_config, order
    nodes alphabetically
  * Patch 3111 JumpTracker no wrap mod
  * added MCS51 project wizard and template (applying patch #3226)
  * Reimplement GetFile(index) for projects and implement it for targets,
    to fix broken scripts
  * script_plugins: Added Find Broken Files plugin made by Morten;
  * broken_files script-plugin: fix to correctly remove all broken files at
    once
  * backport of debugger branch commit to fix an issue with BP handling
    with CDB
  * fix bug described here:
    http://forums.codeblocks.org/index.php/topic,15439.msg105875.html#msg1058
    75 keyboard events are now send to the project-tree (if not a del-key is
    pressed), opening files with enter works again
  * removed CC cache to file (not used since ages, the ode is still in SVN
    for the record)
  * CC: implemented option to setup files to parse by extension (see
    http://forums.codeblocks.org/index.php/topic,15760.msg105934.html)
  * CC: better implementation for selecting items from builder thread via
    event (based on a patch of darmar)
  * CC: fixed parser dummy implementation not compiling anymore after
    latest changes
  * updated project file for compilation of C::B using wxWidgets 2.9.x
    under Windows in separate older (parallel to wx 2.8.x stream)
  * updates to fix compilation errors under wx 2.9.x (2.9.3 explicitly)
    under Windows
  * updated SVN ignore patterns
  * merged (back-ported) wxPropGrid changes form debugger branch into trunk
    for wx 2.9.x compatibility

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 08 Jan 2012 08:29:01 +0200

codeblocks (10.05svn7289-0ubuntu1~lucid) lucid; urgency=low

  * CC: Fix inheritance calculation, thank ollydbg, see
    http://forums.codeblocks.org/index.php/topic,14167.0.html for details
  * Updated C++ lexer to be yet more complete with STL and C++0x
  * CC:Improve parser event handle
  * CC: Rewrite batch parsing
  * CC: Fix "still parsing" bug when use one parser for whole workspace
  * CC: Redesign one parser for whole workspace
  * CC: Improve add file to parser
  * CC: show some more information to the user to hunt CC bugs
  * CC always show reason for the message "Parser is still parsing files"
    in the debug log
  * CC: (hopefully) fixed a crash candidate in case re-parsing is required
    due to changing CC settings
  * CC: Force start batch parsing if needed
  * CC: Compatible with GCC4.6.1
  * CC: Fix a fatal mistake, thank ollydbg!
  * CC: Fix a hang on Linux
  * CC: Fix a hang when find token matches

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 23 Jul 2011 08:29:01 +0200

codeblocks (10.05svn7257-0ubuntu1~lucid) lucid; urgency=low

  * fix regex to be not to gready
  * make sure textcontrol is initiallly focused in editpath-dialog (see
    http://forums.codeblocks.org/index.php/topic,14810.msg99247.html#msg99247
    ).
  * CC: Redesign ParserThread locker
  * CC: Add locker for ParseBuffer function
  * CC: Fix function arguments parsing error, function overloading related
  * CC: Re-designed the TokensTree locker for solve CC crash
  * CC: Fix hang on linux
  * added $TO_83_PATH macro to concert absolute paths into 8.3 notation
    (Windows only), similar to $TO_ABSOLUTE_PATH
  * added $GET_DATA_DIR macro to compiler/linker options that maps to the
    wxWidgets wxStandardPaths/GetDataDir function
  * added $GET_LOCAL_DATA_DIR, $GET_DOCUMENTS_DIR, $GET_CONFIG_DIR,
    $GET_USER_CONFIG_DIR (accordingly)
  * added $GET_USER_DATA_DIR, $GET_USER_LOCAL_DATA_DIR, $GET_TEMP_DIR
    (accordingly)
  * CC: Remove all RAII object on the heap
  * CC: No critical section needed in the Parser's dtor now
  * CC: Fix hang occured open an workspace through from open menu (Linux
    x64bit)
  * partial merge from debugger branch: added PLUGIN_LOADING_COMPLETE event
    to SDK
  * multiselectdlg: do not ask to un-select previous selections if there
    are none
  * projectmanager: do not rebuild the tree if app is shutting down (not
    needed and massively saves time on shutdown)
  * projectmanager: verify the treeitem selection to be OK (as stated in
    the wx docs this should be done!)
  * advanced compiler options: added new option "use 8.3 path notation for
    windres" (Windows only, by default enabled for Cygwin and MinGW compiler)
  * fixed bug in "file groups and masks" that the file mask list grows
    endlessly - thus making the config file huge over time
  * cb_share_config: added "abbreviations" ("auto-complete"), "mime types"
    and "default code" to backup options
  * added global function to make a wxArrayString array unique in it's
    elements (case sensitive/insensitive)
  * make C::B correctly detect the Windows version up to Win7
  * compilers: make extra paths not appear multiple times in the list
    (thus, remove duplicates)
  * (hopefully) fix a bug, where files are not correctly opened, if an
    'undefined references'-error occurs during linking, see:
    http://forums.codeblocks.org/index.php/topic,14562.0.html and
    http://forums.codeblocks.org/index.php/topic,14855.msg
  * Add stack size argument for thread pool
  * CC: Increase parsing thread stack size
  * envars plugin: exposed the following functions to scripting:
    EnvvarGetEnvvarSetNames, EnvvarGetActiveSetName,
    EnvVarGetEnvvarsBySetPath, EnvvarSetExists, EnvvarSetApply,
    EnvvarSetDiscard, EnvvarApply, EnvvarDiscard
  * * Remove all memory pool reference, In currently, memory pool is not
    thread-safe
  * CC: Improved parser event sending
  * Increase SDK version number
  * thread_search: support sorting of the list control
  * thread_search: add menu item to focus the thread search entry box in
    the list view, useful if the user wants to assign a key shortcut for
    thread searching;
  * don't start dwell if the mouse was moved or the application was
    deactivated; this should fix bug #17745 (
    http://forums.codeblocks.org/index.php/topic,13763.0.html )
  * CC: Improve AddCompilerPredefinedMacros function
  * CC: Improve first full parsing
  * CC: Improve GetGCCCompilerDirs function, fix possible candidate hang
  * updated AStyle plugin so that all options are available as needed
    (following AStyle 2.02 reference)
  * make CScope plugin work in a path with spaces

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 10 Jul 2011 06:31:55 +0200

codeblocks (10.05svn7173-0ubuntu1~lucid) lucid; urgency=low

  * pumped TinyXML to v2.6.2
  * pumped wxPropGrid to v1.4.16 (pre-release, but fixing a bug)
  * updated the Matlab C-S-Function wizard to be cross-platform (available
    under Linux)
  * DoxyBlocks-plugin: automake build-fix
  * pumped astyle plugin to "Artistic Style v2.02" (missing: allow access
    to new features via UI)
  * CC: renamed "up-front" into "priority" for better understanding
  * CC: massively updated testing tool to allow to parse into includes
  * CC: Fix parsing failed when using MinGW-x64 GCC compiler
  * CC: Issue fixed on first complete parsing
  * CC: Fixed bug when get compiler pre-defined macros
  * CC: Remove the ParserThread critical section, its a bad design!!

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 29 May 2011 20:46:31 +0200

codeblocks (10.05svn7143-0ubuntu1~lucid) lucid; urgency=low

  * CC: fix a variable type error
  * SDK: Initialize a static member variable
  * CC: made the current active parameter to be highlighted correctly in
    the calltip; this feature was broken by the pretty printer patch commited
    earlier
  * Added wxSmith option to allow duplicate IDs (useful to assign the same
    ID to a menuitem and a toolitem, for example)
  * quote xdg-open argument in default mime handler
  * CC: fix a crash candidate in case C::B is closed very quickly after
    start-up
  * inform the user if an invalid virtual target is tried to be setup
    (failed silently before, making a checkbox value magically re-appear)
  * Fixed a auto indent bug
  * CC: Improve the performance of functions DoParse
  * CC: fixed bug #15112
  * added option to freely define import and def file name for libraries,
    including (and by default) using macros (based on patch #2937)
  * linux build-fix; synchronizing some contrib-plugins projectfiles on
    linux
  * ToolsPlus-plugin: fix a possible crash (hard to track down), see
    http://www.parashift.com/c++-faq-lite/ctors.html#faq-10.14 for an
    explanation
  * expand macros in include dirs in cppcheck plugin
  * CC: re-worked options dialog, fixed tiny crash candidate
  * editormanager: fixed crash candidate
  * fixed target option "auto-generate prefix" not working for dynamic
    libraries on Linux (breaking build); ToDo: what about Mac?!
  * todo list: fixed bug, that no "allowed types" are selected initially
  * todo list: issue a warning, if no types are selected when refreshing
    the view

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 15 May 2011 12:01:13 +0200

codeblocks (10.05svn7075-0ubuntu1~lucid) lucid; urgency=low

  * report missing external dependencies as a warning (as this might be a
    wrong project / target setup probably)
  * Replace tabs with spaces for all exporters
  * source_exporter plugin: pumped wxPDFDoc to most recent version
  * source_exporter plugin: changed static to dynamic library
  * source_exporter plugin: removed artifacts (remaining files from old
    version
  * pumped wxPropGrid to v1.4.15
  * CC: "Pretty Print" token only in case of container or function
  * wxSmith-Aui: fix crash that occurred if the user tried to add a
    wxAuiToolbar to a wxAuiToolbar
  * fix button-size
  * accessibility enhancements: now the tab-control of active notebook page
    gets the focus via "View -> Focus ...", instead of the page itself;
    keyboard-navigation should work better now
  * (hopefully) fixed an issue where the tab-style sometimes was not
    correcly updated, if it was changed in the settings
  * moved the 'Close workspace' item at the end of the context menu
  * replaced cbMessageBox with AnnoyingDialog, when deleting entries in the
    Recent files/projects list in the Start page
  * (hopefully) fix a possible crash in cbAuiNotebook on windows
  * pumped (wx)Scintilla to v2.25 (C++ lexer changed for wxSmith portions)
  * streamlined wxScintilla with wxSTC from wxWidgets trunk (v2.9)
  * codesnippets plugin: fixed a (rare) crash
  * fix a possible crash in wxSmithAui due to not initialised bool property
    (see:
    http://forums.codeblocks.org/index.php/topic,14358.msg96511.html#msg96511
    )
  * fix a possible crash in code-profiler, due to a missing
    index-out-of-bounds-check when parsing the outpout of gprof ( issue
    described here:
    http://forums.codeblocks.org/index.php/topic,14450.msg97143.html#msg97143
    )

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 16 Apr 2011 21:33:37 +0200

codeblocks (10.05svn7040-0ubuntu1~lucid) lucid; urgency=low

  * CC: add part 2 of one parser per whole workspace, see
    http://forums.codeblocks.org/index.php/topic,14201.0.html for more
    information
  * applied patch #2955 to fix bug #16671
  * applied patch #2922: AutoVersion changes log GUI sizing (includes patch
    #2940)
  * applied (modified) patch #2957: partial fix for bug #14087
  * applied patch #3127 (additional parts): several enhancement, e.g.
    hard-coded doxygen directory name and directory creation code
  * fix for bug #17950 (another case where a tabcontrol did not correctly
    release mouse-capture in some cases)
  * CodeSnippets 1.3.120 2011/02/11
    - Fix crash when double clicking previously opened snippet
    - Copy fixes 5995 & 6000 from CB EditorManager to SEditormanager
  * fix a crash, if no editor is open and the environment settings dialog
    is closed with OK (see:
    http://forums.codeblocks.org/index.php/topic,14294.msg96148.html#msg96148
    )
  * allow to hide the folder name in project tree (in "flat view" mode)
  * optimised SDK interface to project view (namely BuildTree in cbProject)
  * applied patch by oBFusCATed to reload project while keeping
    dependencies
  * fixed a crash candidate in CopyTreeNodeRecursively
  * add missing abbreviationsconfigpanel.xrc to C::B's project files.
    Thanks daniloz for reporting it !
  * add missing autosave.xrc to C::B's project files. Again thanks daniloz
    for reporting it !

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 09 Mar 2011 21:35:08 +0100

codeblocks (10.05svn7017-0ubuntu1~lucid) lucid; urgency=low

  * fix an issue, where the active tab was not always visible after a
    project was opened (at least on linux)
  * ToolsPlus plugin: Include menu accelerator characters in FindMenu calls
    to avoid translation issues (thanks danselmi). see
    http://developer.berlios.de/patch/?func=detailpatch&patch_id=3110&group_i
    d=7745 and
    http://forums.codeblocks.org/index.php/topic,14206.msg95508.html#msg95508
  * CC: apply patch by oBFusCATed to pretty print tokens (see
    http://forums.codeblocks.org/index.php/topic,13979.0.html) - it actually
    seems to work!
  * applied patch #3119: show the Project's title in the Goto file dialog
    (thanks oBFusCATed)
  * applied patch by daniloz to add focus events to C::B's SDK (see
    http://forums.codeblocks.org/index.php/topic,14150.0.html)
  * applied patch #2980: patch for a Swap header/source issue
  * applied patch to allow plugins to modify the editor tab context
    menu(USE WITH CARE, do not clutter this menu via plugins)
  * applied patch #3065: Context menu item to show file in project tree
  * applied patch #3066: add "clean workspace" menu entry AND allow to add
    items to the workspace context menu
  * ToolsPlus plugin: Added missing accelerator in FindMenu call, removed
    trailing ';' from if statement (should fix wildcard matching of multiple
    files when building context menu -- Thanks Morten) and (for readability)
    increased use of braces (Thanks Morten)
  * CC: fix bug about extern "C" parsing, thanks ollydbg!
  * CC: fix a bug reported here:
    http://forums.codeblocks.org/index.php/topic,14206.msg95611.html#msg95611
  * (hopefully) fix an issue with tab tooltips, where a tooltip was shown,
    even if the tab was hiddden by an open menu (see
    http://forums.codeblocks.org/index.php/topic,13826.msg95754.html#msg95754
    for details)
  * better MinimizeSpace algorithm for cbAuiNotebook, should fix the issue
    described here:
    http://forums.codeblocks.org/index.php/topic,13826.msg95800.html#msg95800

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 21 Feb 2011 14:08:28 +0100

codeblocks (10.05svn6992-0ubuntu1~lucid) lucid; urgency=low

  * updated some copyright related stuff to 2011; changed backslash to
    slash in linux projectfile; added ReopenEditors-plugin in BUILD
  * updated encoding-detection to latest version from mozillas git-repo
  * Add ability to maximize editors with double-click on tab (see:
    http://forums.codeblocks.org/index.php/topic,13862.msg93310.html#msg93310
    for details)
  * improvement for projectlayoutloader and editor zoom: zoom-factor and
    split-state are now saved per file; it's configurable, whether zooming
    works on all editors or just the active one (see:
    http://forums.codeblocks.org/index.php/topic,14027.msg94293.html#msg94293
    )
  * add option to disable tooltips on tabs and to configure the time until
    a tooltip is shown
  * add patch to keep unused space in notebooks as small as possible (do
    not hide tabs if not necessary)
  * fix an issue, that leads to a file-not-found message, if a workspace is
    opened and the user tries to open it a second time from recent projects
    list
  * add patch to be able to scroll through tabs with the mousewheel or move
    the tabs with mousewheel + modkey without changing selection (or vice
    versa, configurable in "Settings -> Environment -> Notebooks appearance")
  * don't show tooltips, if they are not explicitely set
  * fix an issue with pch's that where not created if flat objects are used
    (see
    http://forums.codeblocks.org/index.php/topic,14126.msg94910.html#msg94910
    for details)
  * make scrolling through notebooktabs with mousewheel optional; make some
    functions and variables of cbAuiNotebook static, to be able to set/change
    values/behaviour for all cbAuiNotebooks at once
  * fix a possible hang/crash if a cbAuiNotebook is completely hidden by
    resizing; minimize free space in tab-control on all tab-controls of a
    notebook, if more than one exists due to drag and drop of a tab
  * doxyblocks plugin update : support for doxygen 1.7.3
  * applied patch #3108: Searching for menu entries with accelerators
    (thanks danselmi)
  * applied patch #3099: add new SDK event: cbEVT_PROJECT_NEW
  * fixed recent files were limited to 8 and not 16 files (introduced own
    CBFILE_ID enum for C::B), also fixes non-continues file ID's
  * CC: fixed bug that global variables are left expanded in the project
    file (thanks oBFusCATed)
  * fixed a crash when quickly hiding/showing the management pane and
    pressing a key
  * fix an error in cbAuiNotebook that leads to a crash if last tab in
    "Logs & others" is closed
  * added/integrated new contrib ToolsPlus plugin (Windows only for the
    moment)
  * added/integrated new contrib FileManager plugin (Windows only for the
    moment)
  * initial integration of new plugins (FileManager, ToolsPlus) into Linux
    build system
  * add gamin to the build-dependencies for debian; add debconf-scripts to
    let the user decide, whether plugins are loaded or not (see
    http://forums.codeblocks.org/index.php/topic,14175.msg95251.html#msg95251
    for details)
  * add autoconf-check for necessary boost-header, if
    NassiShneidermann-plugin should be build
  * ToolsPlus plugin: Internalization support for UI strings, improved
    config panel layout and text descriptions
  * applied patch #3127: doxyblocks bug fix (thanks Cryogen)
  * applied patch #2956: Enable/disable tab position menu items
    appropriately
  * updated wxPropGrid from to 1.4.15 to fix a regression which caused text
    to be pasted twice in text editors under some platforms (at least wxMSW)
  * CC: fix an issue, that #defines are shown twice in the tooltip
  * allow focusing project manager and "logs and others" via menu
    (shortcut) to improve accessibility
  * cycle through project manager -> editor -> "logs and others" via
    CTRL+ALT+TAB
  * CC: Add preprocessor parsing support for ParserTest
  * CC: Fixed a bug in the expression solver (handling conditional
    preprocessor directive), thank ollydbg!
  * CC: fixed bug reported here:
    http://forums.codeblocks.org/index.php/topic,14198.0.html
  * New Feature: add "Goto line end" and "Insert new line below current
    line" for special commands
  * improved smart un-indent, see
    http://forums.codeblocks.org/index.php/topic,14087.msg94860.html#msg94860
    for more details
  * ToolsPlus-plugin: set executable property update
  * CC: remove unnecessary parser checking
  * CC: a little code refactoring
  * CC: add UI part of one parser per whole workspace, It's too complex, So
    I need do it step by step

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 13 Feb 2011 11:42:35 +0100

codeblocks (10.05svn6931-0ubuntu1~lucid) lucid; urgency=low

  * intermediate version

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 25 Jan 2011 17:23:22 +0100

codeblocks (10.05svn6929-0ubuntu1~lucid) lucid; urgency=low

  * intermediate version

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 19 Jan 2011 23:18:21 +0100

codeblocks (10.05svn6905-0ubuntu1~lucid) lucid; urgency=low

  * intermediate version

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 26 Dec 2010 19:14:37 +0100

codeblocks (10.05svn6846-0ubuntu1~lucid) lucid; urgency=low

  * saved status bar displays status to the configuration file
  * changed status bar style from wxSB_NORMAL to wxSB_FLAT (only for Linux)
  * fixed an issue with split-view: non-default indicator settings (used by
    highlight occurrences, IncSearch, SpellChecker) have not been used
    directly after splitting (see here for an example:
    http://forums.codeblocks.org/index.php/topic,11307.msg91996.html#msg91996
    )
  * fixed a possible crash (on windows) or hang (on wxGTK), if a file was
    modified outside C::B, and the IDE regains focus with pressing the
    close-button on the editors tab.
  * remove the "ugly" part of wxToolbar, see
    http://forums.codeblocks.org/index.php/topic,13665.0.html for more
    information

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 15 Nov 2010 13:42:59 +0100

codeblocks (10.05svn6840-0ubuntu1~lucid) lucid; urgency=low

  * Build system clean-up: Removed unnecessary automake files from sys,
    win32gui, wxwidgets project wizards.
  * fix for a folding-bug, where the folded block stays hidden, if the
    folding-header (brace or whatever) was deleted (see here:
    http://forums.codeblocks.org/index.php/topic,13551.msg91270.html#msg91270
    , and others).
  * always have one free core of parallel builds
  * wxSmith: avoid some build warning, e.g. "type attributes ignored after
    type is already defined"
  * add option to remove variable prefix of the event handler function
  * add wxEVT_SCI_TAB and wxEVT_SCI_ESC event handler, thank danselmi help!
  * support strong enum parsing
  * fix cpu range error: occured if the cpu-count is greater than sixteen
  * apply patch for move abbreviations from core into a plugin (modify and
    improved), see:
    https://developer.berlios.de/patch/?func=detailpatch&patch_id=3068&group_
    id=5358
  * add abbreviatons-plugin to automake-system on linux (and others); build
    fix (include-file names are case-sensitive on linux); fixed typo
  * Abbreviatons-Plugin: fix bug, the keyword list box should be not sorted
  * avoid possible crash when file modified by external tools
  * improved cc search, moved all static variables to member variables,
    after switch parser, we should call init function again
  * fixed sometimes 'goto implementation' doesn't work
  * improved system header completion
  * 'goto declaration' and 'goto implementation' will goto the token
    position now
  * fixed wrong function parameter location records
  * fixed 'find references' or 'rename symbol' failed of function parameter
  * removed invalid copyright declare
  * fixed crash while opened xpm files, and make xpm files can be parsed
  * add svn:keywords for some new files
  * applied patch by danselmi: Add ToDo menu item so that keybinder plugin
    can re-assign a shortcut
  * improved function parameters parsing, support multi line parameter
  * fixed bug: #010036, see
    https://developer.berlios.de/bugs/?func=detailbug&group_id=5358&bug_id=10
    036
  * fixed mistake function parsing, e.g. "int i;", it should be variable,
    not function
  * add "No such file or directory" rules to capture build error
  * improved auto indent for "for/do/while/if..."
  * fixed get stripped arguments failed when parsing Multi-line parameters
  * add Token::GetFormattedArgs(), it will replaced from '\n' to '' for
    multi-line parameters
  * add "--multiple-instance" program arguments
  * Build system clean-up: Removed unnecessary automake files from ppc
    project wizard.
  * Fixed: Crash candidate in CC plugin.
  * Fixed: Crash candidate in cbstatusbar
  * wx-2.9 migration: Build fixes.
  * fixed the line number initialization error when use buffer parsing
  * multiple-instance parameters fixed
  * improved call tips, fixed sometimes can not show
  * applied PCH fix patch by oBFusCATed
  * rewritten NativeParser::GetCallTips, support multi-line call tips,
    fixed bug reported here:
    https://developer.berlios.de/bugs/?func=detailbug&group_id=5358&bug_id=99
    35
  * support constructor call tips
  * support shown template parameters in the Symbol Browser
  * add "__cpluscplus" predefined macro for C++ project
  * add "Build options" tab page, for solved too high of the option dialog
  * some default size improved for small display
  * improved ThreadSearch layout, making it more compact
  * splitting "General settings" to "Editor settings" and "Other settings"
    by wxNotebook
  * re-layout CodeCompletion-Plugin config dialog
  * ThreadSearch: avoid the error dialog interaction, to direct log output
  * improved to get destructor function under cursor
  * special handle destructor function for 'Goto declaration' and 'Goto
    implementation'
  * special handle constructor function for 'Goto declaration' and 'Goto
    implementation'
  * improved real-time reparsing
  * when create a variable with an invalid content, give a choice for the
    user
  * add "Token::GetStrippedArgs()" for remove default value, improved
    function implementation
  * build option fix
  * fix auto indent error, reported here:
    http://forums.codeblocks.org/index.php/topic,13548.msg91682.html#msg91682
  * support function overload parsing
  * fix: after moving abbreviations into a plugin, the plugin was missing
    in debian install files
  * special handle function overloading for 'Goto declaration' and 'Goto
    implementation'
  * bug fix for function overloading
  * compatible with the latest version of the wxSmith
  * add "*.bmarks" to ignore list, add ".objs, devel, output" to ignore
    list of "src"
  * auto find the references after rename symbol
  * update deleted pages in project options
  * apply patch #003038 to support open file's containing folder, see:
    http://forums.codeblocks.org/index.php/topic,12983.0.html
  * avoid possible crash
  * wxSmith: strip trailing blanks when flush to file
  * fine-tuning interface layout of "Other settings"
  * making open containing folder can be configurable of the commands
  * fixed big title info can not setting background color, and center align
    on Linux, avoid the issue record here:
    http://wiki.wxwidgets.org/WxStaticText
  * fixed big title info for "Compiler and debugger settings"
  * fine-tuning configure dialog interface for "Code-Completion" plugin
  * DoxyBlocks-plugin: make generated comments undoable in one step

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 07 Nov 2010 12:46:08 +0100

codeblocks (10.05svn6752-0ubuntu1~lucid) lucid; urgency=low

  * MERGED ALL THE CODE COMPLETION CHANGES DEVELOPED ON THE CC BRANCH !!!
  * some refinement on the wizards: Updated paths for SDL, SFML based
    wizards, added fortran wizards, updated D sample application
  * Build system clean-up: Removed unnecessary automake files
  * add "no-single-instance" parameters to allow multiple instances running
  * applied cbStatusBar patch by danselmi (for SpellChecker plugin)
  * change the data path
  * support opened all the files of the folder or virtual folder in the
    same time
  * priority access to the configuration of the executable file path
  * setting the default editor font size to 10 point
  * changed the default number of parallel processes to 2
  * make the caret-style configurable
  * based on the actual number of CPU to determine the number of processes
    for parallel builds
  * abbreviations support auto switching between TAB and SPACE.
  * make sure a block-caret is always shown (even if width of line-cursor
    is set to 0)
  * wxSmith: add internationalize option, see details:
    http://forums.codeblocks.org/index.php/topic,9311.0.html
  * codesnippets-app (linux): build-fix
  * wxSmith: improved internationalize option support, fix default value
    inconsistent
  * if the global variable is not assigned, the default value should set to
    "(invalid)"
  * fixed auto indent bug, reported here:
    http://forums.codeblocks.org/index.php/topic,13463.msg91157.html#msg91157
  * AStyle: add option for delete empty lines within a function or method
  * add a new parsing expressions, for capture linker error, when use
    unrecognized option
  * update build docs
  * refactoring ParserTest, fixed scroll invalid occurred in linux
  * add find scope selected dialog for code refactoring
  * wxSmith: improved the event handler function name, remove prefix "m_"

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 24 Oct 2010 09:51:30 +0200

codeblocks (10.05svn6647-0ubuntu1~lucid) lucid; urgency=low

  * "fixed" build bug by applying path to remove dependency on libintl
    (thanks Loaden)
      - removed target "exchndl" anyways from virtual target "All" thus it
    won't built until explicitly done
  * fix for editor-folding bug (see
    http://forums.codeblocks.org/index.php/topic,13336.msg89748.html#msg89748
    );
      make interpretation of #if,#else, #endif to grey out inactive
    preprocessor-code optional (default is off);
      fix for broken wxSmith colour-property
  * applied patch from Cryogen to fix some issues, namely:
      - documented the important event ID requirement for
    wxFindReplaceDialog;
      - generate a wxRichTextStyleSheet for wxRichTextStyleOrganiserDialog;
      - fixed a bug in wxsRichTextStyleOrganiserDialog that caused dialogue
    styles to be omitted.
  * applied patch from Cryogen to add the following controls to wxSmith:
      - wxRichTextStyleComboCtrl
      - wxRichTextStyleListBox
      - wxRichTextStyleListCtrl
  * applied patch from Cryogen to add new image tools to wxSmith, namely:
      - wxImage
      - wximageList
  * applied patch by mmkider to correct a recursive bug in the classwizard
  * Build system clean-up: Unnecessary Makefiles are removed. Scripted
    wizard plugin uses a number of Makefiles to install files. This clean-up
    exercise aims at reducing their numbers. Necessary chages are made to
    ensure build system integrity, functionality are not reduced anyway.
  * Build system clean-up: Removed unnecessary automake files from ARM
    project wizard.
  * fix for broken wxSmith-properties, that base on wxsCustomEditorProperty
  * update script in debian-directory to create orig-tarball from svn
  * remove version-numbers from two xrc-files, to avoid warnings if
    additional debug-logging is turned on
  * wxSmith: implement GetStr() for wxsBitMapIconProperty and
    wxsFontProperty, to show the content of the property in the propgrid (not
    just "click to edit")
  * DoxyBlocks-plugin: fix incorrect regex
  * update-script on linux: make the created run.sh-script portable
  * fix bug #17256 (C::B crashes if a watch is deleted, that has an active
    command, but the output is not yet parsed)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 29 Sep 2010 07:16:18 +0200

codeblocks (10.05svn6583-0ubuntu1~lucid) lucid; urgency=low

  * Several changes to debian build-system

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 15 Sep 2010 17:05:40 +0200

codeblocks (10.05svn6570-0ubuntu1~lucid) lucid; urgency=low

  * make loggers more bullet proof
  * updated wxPropGrid from to 1.4.14 to hopefully fix issues reported
    here:
    http://forums.codeblocks.org/index.php/topic,12362.msg88995.html#msg88995

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 06 Sep 2010 07:26:53 +0200

codeblocks (10.05svn6562-0ubuntu2~lucid) lucid; urgency=low

  * correct revision on the splashscreen

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 05 Sep 2010 10:27:06 +0200

codeblocks (10.05svn6562-0ubuntu1~lucid) lucid; urgency=low

  * applied i18n patch for NassiShneiderman plugin thanks Xaviou
  * applied patch #3051: Fixed regex testbed dialog fields - missing data
    (completes a previous commit)
  * EditorTweaks plugin: i18n fix to avoid crash when context-menu is
    shown; tiny fix for unix project-file
  * allow running DMD on all platforms
  * add LDC compiler, LLVM backend / D1 language / Tango library

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 02 Sep 2010 20:13:34 +0200

codeblocks (10.05svn6527-0ubuntu1~lucid) lucid; urgency=low

  * bug-fix of crash for non-attached plugins (e.g. disabled EditorTweaks),
    thanks oBFusCATe
  * applied patch #2943: Respect the selected target
  * applied patch #2942: Add option to control the smart indent brace
    feature
  * applied patch #2929: Show the build time in the build messages log pane
  * applied patch #2871: Make double click open the correct item in the
    TODO window
  * applied patch #2949: AskAssocDialog closes incorrectly when press ESC
    key
  * added missing portions in compilergcc of r6494 and r6492

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 25 Aug 2010 15:23:51 +0200

codeblocks (10.05svn6508-0ubuntu1~lucid) lucid; urgency=low

  * applied : Patch to make '--add-brackets / -j' option available in
    astyle plugin
    (http://forums.codeblocks.org/index.php/topic,13054.msg87865.html)
  * pumped TinyXML to 2.6.1 (plus some patches from TinyXML SVN trunk) ->
    fixes some C++ inconsistencies
  * avoid crash of wxChartCtrl, if style contains USE_GRID and no chart is
    added (default in wxSmith preview);
      fix wrong casting of style, that can lead to a build error
  * applied patch #3045: Get rid of lexer_nassi.* files
  * applied patch #3041: Adding wxFileName::IsFileWritable for scripting
  * applied patch #3040: Add CurrentSelection to the Macros
  * added TARGET_OUTPUT_FILENAME to macrosmanager (partially applied patch
    #2937)
  * another fix for the wxPropertyGridManager splitter issue in wxSmith:
    see svn6405
  * applied patch #2839: Select file from all projects in the workspace
  * applied (modified) patch #2894: Set parent window of cbMessageBox where
    possible This fixes "message boxes behind main dialogs" under Unix/Linux
  * applied blended colour to loggers to hopefully fix the colour issues
    with the loggers under Linux with dark themes
  * introduced (and used) some new SDK events: EVT_EDITOR_SWITCHED,
    EVT_PROJECT_FILE_CHANGED, EVT_CLEAN_PROJECT_STARTED,
    EVT_CLEAN_WORKSPACE_STARTED
  * make the link to the build log file always use forward slashes
  * added some sanity checks when working with a compiler pointer
  * cbprofiler: auto-select active build target for convenience
  * wizards: use images with transparency (if supported by platform)
  * ToDo plugin: allow CPP style comments
  * ToDo plugin: handle types more correctly
  * ToDo plugin: allow to select allowed types (as a filter)
  * applied (modified) patch #2879: Call SetProject() only after workspace
    is opened and some updates to this patch
  * debugger (cdb): added support for stepin / stepout

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 24 Aug 2010 11:26:26 +0200

codeblocks (10.05-0ubuntu1~hardy) hardy; urgency=low

  * backport to Ubuntu 8.04 (Hardy Heron)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 09 Jun 2010 17:11:56 +0200

codeblocks (10.05-0ubuntu1~karmic) hardy; urgency=low

  * backport to Ubuntu 9.10 (Karmic Koala)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 09 Jun 2010 17:11:05 +0200

codeblocks (10.05-0ubuntu1~lucid) lucid; urgency=low

  * new upstream release

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 05 Jun 2010 18:42:47 +0100

codeblocks (8.02svn6271-0ubuntu1~lucid) lucid; urgency=low

  * Fixed: A bug in "Advanced Options" page of wxWidgets Project wizard.
    (Thanks Hans Henrik for pointing this)
  * KeyBinder 1.0.49 2010/03/3 : Apply patch 2885 by techy
  * CppCheck plug-in : switch to input file list style of the new cppcheck
    (1.41)
  * Build fix for SqPlus.
  * Fixed: Compiler warning - "warning: 'dllimport' attribute ignored"
  * fixed a bug on linux: the list of plugins that should be loaded in batch-
    build-mode was not saved
  * cc: applied patch by Loaden to fix VC header parsing
  * cc: some code cleanup, additional debug messages
  * fixed a typo in sqstdstring.cpp
  * fix for bug #17097 (Manager panel incorrect behaviour), also changes the
    behaviour of logger tabs, they now get toggled instead of closed, if
    close_on_all_tabs is active and the close-button is clicked (fix the bug
    described here: http://forums.codeblocks.org/index.php/topic,12450.0.html)
  * CC: bug fix for GetGCCCompilerDirs failed in Archlinux (thanks Loaden)
  * applied patch for wizard's default compiler error (thanks Loaden)
  * CC: fix 'Tokenizer::FixArgument' bug: support skip C++ comment (thanks
    Loaden)
  * CC: Fix a bug for ' extern "C++" ' (thanks Loaden)
  * Applied: [Patch #2974] adjust path to scintilla in "plugin::ScriptedWizard"
  * Applied: [Patch #2969] to wxWidgets wizard.
  * fixed possible crash candidate
  * Applied: [Patch #2977] PATCH for wxSmith, fixed the min size preview bug.
  * Fixed: Typo in changelog of codeblocks.spec.in.
  * prepared new logo

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 25 May 2010 00:43:09 +0200

codeblocks (8.02svn6181-0ubuntu1~hardy) hardy; urgency=low

  * backport to Ubuntu 8.04 (Hardy Heron)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 01 Mar 2010 00:42:47 +0100

codeblocks (8.02svn6181-0ubuntu1~karmic) karmic; urgency=low

  * Fixed: [Bug #15912] AStyle removes debugger break points
  * CC: fixed bug with not parsing function arguments anymore (thanks OllyDbg)
  * CC: added support for global namespace (thanks blueshake)
  * CC: handle extern keyword more intelligent (fixing missing STL statements)
    (thanks blueshake)
  * CC: debugger tool shows more info (flags missing so far)
  * fix a bug where local workspace was parsed as global instead of local
  * CC: another bug fix for parsing class names
  * merged scintilla branch into trunk. this brings a lot now core features
  * all changes from scintilla since v1.7 (like virtual space, more lexers,
    dynamic lexer loading...)
  * use wxScollingDialog to avoid large size dialogs not fitting into a certain
    (small) screen resolution
  * reverted problematic PipedPocess patch than accidentally slipped in
  * added Cccc, CppCheck and MouseSap plugin to NSIS installer (wxSmithAui still
    missing)
  * added preliminary support for TDM's GCC4 (use the *right* MINGW_BASE
    definition!)
  * added support for wxSmithAui plugin (modpoller, tidycmt, rndgen still
    missing)
  * Fixed CC parsing bug resulting to crash (preprocessor definitions inside
    template arguments - e.g. boost)
  * fix some issues of symbols-browser:
    if view was "Active project's symbols:" a change of the active project was
    not recognized;
    if view was "Current file's symbols:" the toolbar was cleared, if all files
    except one have been closed;
    if view was "Current file's symbols:" the symbols-browser still shows the
    content of the last open file, after all files have been closed
  * added missing include in infowindow.h, needed if wxUSE_POPUPWIN is not
    defined;
    reduced compiler warnings
  * added missing include in wxPrpgrid's odcombo.cpp, needed if wxUSE_POPUPWIN
    is not defined
  * Added two new script commands: ExecuteToolPlugin() and ConfigureToolPlugin()
  * Added: WX_VERSION env var to Code::Blocks project file
  * Added CallMenu() script command to call menus from scripts (e.g. "/Valgrind/
    Run Valgrind::MemCheck")
  * Added "Reset to defaults" button in "Environment->Docking system" settings
  * add ACTIVE_EDITOR_LINE, ACTIVE_EDITOR_LINE_0, ACTIVE_EDITOR_COLUMN,
    ACTIVE_EDITOR_COLUMN_0 macros pointing to the current editor's line/column
    (one and zero based)
  * subclassed wxAuiNotebook, to work around some annoying issues:
    C::B often crashed on linux when dragging tabs with composite effects
    enabled,
    Ctrl+Tab did not respect taborder after dragging tabs,
    Ctrl+Tab did not wrap at the end or the beginning,
    Ctrl+Tab jumped through all tabs, even if new tab groups have been created,
    the taborder could not be saved after reordering the tabs with drag and
    drop;
    see http://forums.codeblocks.org/index.php/topic,11519.msg81378.html for
    details
  * allow the "x" to close a tab to appear on all tabs (via settings ->
    environment -> notebook)
  * class wizard: handle "no implementation file" correctly
  * fixed wrong scope for "ReplaceInFiles" dialog
  * applied patch #2882: call SetDesc() of the command-line parser only once
  * applied patch #2865: categorize source files regardless of their
    capitalization
  * applied patch #2869 to fix bug #16076: file manager: allow ANSI builds to
    dump char* to file (no changes for unicode build)
  * applied patch #2888: cosmetic fix of projectfile.cpp
  * avoid crashes in wx-2.9, due to incorrect dimensions of wxFlexGrid in
    editor-configuration dialog, see http://forums.codeblocks.org/index.php/
    topic,11952.msg81411.html#msg81411 for details
  * fix a drag and drop bug in wxScintilla: on linux only copying was allowed,
    not moving of selected text
  * Fixed: [Bug #16809] scriptedwizard clean and uninstall leaves file behind
    _correctly_
  * Fixed: [Bug #16808] codesnippets clean and uninstall leaves file behind
    _correctly_
  * added SFML project wizard and template (applying patch #2851)
  * CodeSnippets 1.3.120 2010/02/11
    - Fix crash when double clicking previously opened snippet
    - Copy fixes 5995 & 6000 from CB EditorManager to SEditormanager
  * Removal of file from active project is now disabled during compiling (either
    via 1) pressing "Delete" button or 2) by clicking "Remove file from project"
    menu option)
  * Applied: [Patch #2611] Make HexEditor plugin portable (no C99)
  * Applied: [Patch #2907] Fixes ConsoleRunner build on POSIX/SUS systems. (See
    http://www.opengroup.org/onlinepubs/000095399/basedefs/sys/wait.h.html - For
    WIFEXITED etc. macros)
  * Applied: [Patch #2927] Fix for closed bug #16809 - scriptedwizard install/
    uninstall
  * pumped (wx)scintilla to version 2.0.3 to resolve a conflict with rectangular
    selections
  * Applied: [Patch #2926] Fix for closed bug #16808 - codesnippets install/
    uninstall
  * Fixed: Assert failure with wx-debug build
  * fixed: Assertion with wxWidgets debug-build, due to incorrect image size
  * Updated: rpm spec file to use .tar.bz2 as source tarball extension
  * Fixed: broken rpm build due to path change from icons/gnome/* to icons/
    hicolor/*
  * contrib-plugins: fix execution working dir and (path to) host application,
    so all plugins can be started and debugged from within C::B
  * BrowseTracker 1.2.93 2010/02/19
    - Diable Ctrl-Left_Mouse key usage when user sets editor multi-selection
      enabled.
  * Fixed: rpm build issues
  * BrowseTracker 1.2.94 2010/02/25
    - Apply patch 2886 by techy

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 28 Feb 2010 23:45:17 +0100

codeblocks (8.02svn6088-0ubuntu1~hardy) hardy; urgency=low

  * backport to Ubuntu 8.04 (Hardy Heron)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 18 Jan 2010 00:20:44 +0100

codeblocks (8.02svn6088-0ubuntu1~karmic) karmic; urgency=low

  * CC: added missing replace to initialisation
  * CC: allow using a non-alphanumeric replace token
  * CC applying patch by OllyDbg to handle template arguments better
  * CC: made parsing while typing ("real time parse") an option as it slows
    down the IDE massively for large projects
  * CC: remove some crash candidates
  * wx-2.9 migration: Build fixes for HexEditor.cpp
  * compiler: applied patch #2897: PrependDir() can be used for single
     directory only
  * compiler: applied patch #2877: CompilerOptionsDlg acesses tabs that don't
     exist
  * compiler: LCC compiler supports new registry key for auto-detection
  * applied (modified) patch #2861: New sharedlib project - choose between c
     and c++
  * fixed a bug with accelerator being used twice (thanks daniloz)
  * CC: fixed bug with skipping to wrong character (thanks OllyDbg)
  * CC: fixed bug with enabling parse while typing (thanks blueshake)
  * allow macros in default code

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 17 Jan 2010 23:20:38 +0100

codeblocks (8.02svn6080-0ubuntu1~hardy) hardy; urgency=low

  * backport to Ubuntu 8.04 (Hardy Heron)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 13 Jan 2010 12:37:13 +0100

codeblocks (8.02svn6080-0ubuntu1~karmic) karmic; urgency=low

  * Cosmetic Fix: Build-date-time stamp will now show 32 bit/64 bit depending
     on the build
  * Fixed: svn:eol-style set to native
  * Fixed: svn-propset.
  * Fixed: Build with wx-2.9
  * Fixed: Warning due to use wxString:find
  * Squirrel Update
    - Updated: Squirrel to version 2.2.4
    - Added: Necessary fixes to build on Win 64 bit platform.
  * Fixed: Broken build by reintroducing C::B specific patch. (Thanks Morten
     for pointing this)
  * Fixed: Broken build due to missing code from pre-processor section. (Thanks
     Jens for pointing this)
  * Fixed: Couple of compiler warnings
  * CC: applied patch by blueshake: "real time parse"
  * CC: applied patch by ollydbg: "better handling of typedef"
  * CC: fixed bug in argument handling
  * CC: fixed bug with token replacements
  * IncrementalSearch-plugin: implement shortcut for backward-search
     (SHIFT+ENTER);
     add option to highlight the text in the toolbar if it gains focus via menu
     or shortcut (configurable);
     remember cursor position in the toolbar's textcontrol
  * CC: removing another possible crash candidate
  * CC: decreasing memory foot print of token tree
  * CC: fixed bug with wrong file being returned reported here:
     http://forums.codeblocks.org/index.php/topic,11800.msg80076.html#msg80076
  * Fixed: Crash-candidate in openfileslistplugin.cpp
  * Fixed: [Bug #16562] -mthreads not set when linking wxWidgets project
  * CC: added ability to save tokens tree, list of files and include dirs
     through CC debug window
  * Fixed: Window size of dlgAbout
  * Reverted: GCC Version check was disabled on Linux/Mac. Now it is disabled
     while compiling with wx-2.9 across all platforms
  * Fixed: [Bug #16643] SetupIncludeDirs fails to detect gcc4+
  * cb_share_config: updated to include token replacements of CC, too
  * Enabled: Linker option to use thread-safe exception handling on Windows.
     See the following link for more details (http://gcc.gnu.org/onlinedocs/gcc
     -4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)
  * Enabled (for contrib plugins): Linker option to use thread-safe exception
     handling on Windows. See the following link for more details (http://gcc.
     gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and
     -x86_002d64-Options)
  * Enabled (for share_config plugin): Linker option to use thread-safe
     exception handling on Windows. See the following link for more details
     (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.
     html#i386-and-x86_002d64-Options)
  * fix for automake system: the bootstrap-script wrongly determined automake
     1.11.1 as version below 1.7 and stopped build with an error (see http://
     forums.codeblocks.org/index.php/topic,11828.msg80247.html#msg80247 for
     details).
  * Plugin wizard: Added linker option to enable thread-safe exception handling
     on Windows
  * Ogre wizard: Added linker option to enable thread-safe exception handling
     on Windows
  * StlPort wizard: Added linker option to enable thread-safe exception
     handling on Windows
  * Added: Build fixes necessary to compile with wx-2.9
  * wx-2.9 migration: Build fixes for projectfileoptionsdlg.cpp
  * Fixed: Compiler warning

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 13 Jan 2010 11:31:53 +0100

codeblocks (8.02svn6023-0ubuntu1~hardy) hardy; urgency=low

  * backport to Ubuntu 8.04 (Hardy Heron)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 05 Jan 2010 18:17:48 +0100

codeblocks (8.02svn6023-0ubuntu1~karmic) karmic; urgency=low

  *  added CCCC (C and C++ Code Counter) plug-in
  * some small fixes for the update-script on linux
  * fixed reproducible memory leak by applying patch #2796 (thanks techy)
  * added option to toggle read-only flag of a file (that belongs e.g. to a
    version controlled to a project)
  * applied some script bindings (thanks obfuscated)
  * Add CppCheck plug-in
  * Applied: [Patch #2812] compilergcc and debuggergdb svn prop cleanup
  * IncSearch-plugin: added regex-capabilities
  * Fixed: Update script for the following reasons-
    1) CB_share_config is not build by default on Linux.
    2) codesnippets is also not built by default. Copying it's binary should be
       done by the update script accompanying it.
  * BrowseTracker 1.2.90 2009/11/30
    - Add Shutdown test to OnIdle
    - OnCloseEditor, Activate the previously active edtor, not the last tab;
      EditorManager::OnUpdateUI() used to do this. wxAuiNotebook broke it.
    - OnProjectClosing() ignore recording of closing editors;
      OnProjectActivated() activate the current edtior for this project (not
      last tab).
    - Record last deactivated editor; OnEditorClose activate last deactivated
      editor (vs. last tab)
    - Fixed: loop in OnIdle() after svn 5939 changes
  * CC: added better handling of macros
  * CC: better handling of templates
  * CC: reduced time for re-parsing in the case of header/source swapping
  * CC: removed possible crash candidate
  * CC: better namespace handling for newer GCC 4 macros
  * fix an issue, where renaming a file can overwrite existing files, if the
    new filename is the same as the name of the existing file (windows-only)
  * CCCC/CppCheck plugin: Allow choosing the executable (if not in the path)
  * CCCC/CppCheck plugin: Show a busy dialog as the call can take several
    minutes
  * BrowseTracker 1.2.92 2009/12/11
   - Clear m_bProjectClosing in OnProjectOpened() else no initial activation
     recorded after project closed.
   - Fix JumpTracker inability to switch between editors (caused by Editor
     Activation fix)
  cc plugin: applied patch by OllDbg: documentation and TRACE macro usage
  * cc plugin: applied patch by blueshake to re-parse on demand only
  * cc plugin: applied patch by blueshake to get the function tokens from the
    tokentree with filename directly based on real-time parse
  * cc plugin: fixed bug with broken CC after e.g. a call to a static member
    function within a local scope (thanks ollydbg)
  * updated direct/x wizard to be compatible with DX8 and DX9
  * scripted wizard plugin: tiny fix to new DX wizard so it should work with DX
    devpak, too
  * workaround for a problem where the indicators used by HighlightOccurrences
    and IncrementalSearch hide the text if wxWidgets is build without rawbitmap
    support
  * Pre-processor fix: To enable compilation with a non-GCC compiler
  * applied patch #2803: faster header source swapping
  * CC: applied patch #2856: parserthread accesses memory behind the end of the
    string
  * applied patch #2867: Try harder when searching file with compilation error
  * CC: applied patch #2868: Try harder when opening includes from context menu
  * applied patch #2875: EditorManager accesses invalid page
  * applied patch #2876: Global variable dialog array access fixes
  * applied patch #2878: Different type used in xrc and XRCCTRL
  * applied (modified) patch #2880: Open clipboard before its use
  * applied patch #2884: Don't call Expand on wxTreeCtrl with wxTR_HIDE_ROOT
  * applied patch #2842: Switcher dialog: Mouse wheel support and hot tracking
  * applied patch #2854: Added macro $(TARGET_COMPILER_DIR) to macrosmanager
  * applied patch #2833: regex testbed refinements
  * applied #2866: Make wildcard select in multiselectdlg work properly
  * applied patch #2881: Remove the wizardry that loads CBTreeCtrl
  * applied patch #2891: Check return value of wxEncodingConverter::Init()
  * applied patch #2874: OnPageChanged called upon creation
  * applied patch #2887: Parserthread doesn't check if the file exists
  * applied patch #2892: Array index out of range
  * cc-plugin: fix for a crash-candidat in ClassBrowserBuilderThread
  * fix an issue, where plugins can not be found on some 64-bit linux systems,
    see http://forums.codeblocks.org/index.php/topic,8755.msg78525.html#
    msg78525 for details
  * cc-plugin: (hopefully) final fix for a crash-candidat in ClassBrowser-
    BuilderThread
  * fix incorrect use of wxString::find() instead of wxString::Find() in two
    cases
  * Valgrind plug-in : support Valgrind 3.5.0

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 05 Jan 2010 07:00:17 +0100

codeblocks (8.02svn5911-0ubuntu1~karmic) karmic; urgency=low

  * backport to Ubuntu 9.10 (Karmic Koala)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 13 Nov 2009 00:04:44 +0100

codeblocks (8.02svn5911-0ubuntu1~hardy) hardy; urgency=low

  * ThreadSearch: skip empty files, otherwise we can get a "Failed to open"
     errormessage
  * added i18n script for Windows
  * wxScintilla: reduce flickering with newer gtk+ on linux; thanks Eran for
    the patch
  * AutoVersioning v1.4 (patch by JGM):
    - Fixed ubuntu_style_version declaration now it is char string instead of
      double.
    - Added new tab of autoversioning editor named "Code"
    - New support to declare header guard define.
    - New support to declare namespace name.
    - New support to add a prefix to all variables helping in c mode like for
      example the DATE declaration found in other header files the same name.
  * fix an issue when compiling single c-files that does not belong to a
    project: if the filename is quoted (spaces, braces etc.) the file was
    treated as c++-file
  * BrowseTracker 1.2.84 2009/11/7
    - Set browse marks sorting flag in OnEditorActivated()
    - Set BrowseSelector width window by filename width
    - Added JumpTracker; record each activated cursor posn within a half-page
    - Activate previously active editor when secondary project closes.
  * CodeSnippets 1.3.118 2009/11/8
    - re-enable context menu for editors.
    - Added config option to turn off tooltips
    - Added Save/Close to context menu and filtered entries
    - Correct behavior of Close() for editor tabs in SEditorManager
    - Import CB resouces when using external codesnippets folder
    - Validate dir structure before saving .xml file (SaveItemsToFile)
    - Double click or Enter key on category expands or collapses tree item
    - Fix behavior of docked/floating window at OnRelease()
    - Call macro replace only if text has some of "$%["
    - Add support for vendors other than "codeblocks"
    - Fix erroneous double entry into "Save Index As" routine
    - Fix crash in SEditorManager::CheckForExternallyModifiedFiles();
  * Codesnippets 1.3.118 2009/11/8
    - FileImport.h for Linux
  * MouseSap 1.1.5 2009/11/8
    - Shift-MiddleMouse will paste over marked if cursor also in marked area
      else insert pasted data.
  * MouseSap 1.1.7 2009/11/8
    - Change Paste() to SetTarget() for Linux
  * BrowseTracker 1.2.85 2009/11/9
    - Fix crash when disabling plugins (in BuildMenu)
  * linux: workaround for a wxWidgets-bug, that makes C::B crash if a floating
    window gets docked and composite effects are enabled

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 12 Nov 2009 23:02:39 +0100

codeblocks (8.02svn5857-0ubuntu1~karmic) karmic; urgency=low

  * backport to Ubuntu 9.10 (Karmic Koala)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 24 Oct 2009 08:35:44 +0200

codeblocks (8.02svn5857-0ubuntu1~hardy) hardy; urgency=low

  * improvements to automatic brace completion
  * encoding-detection: use user-specified default for pure ascii-text instead
    of system-default
  * applied fixes to wxPDFDocument from wxCode project
  * fix for cbEditor::GetControl(), so it always returns the correct control in
    split-view
  * astyle plugin: updated astyle core to a more recent version (v1.23)
    * astyle plugin: updated astyle optiond to include new onces, but some are
      still missing (patches welcome)
  * add MouseSap
  * DragScroll 1.3.24 2009/09/4 : Fix crash when loading .cbp via dde.
    OnAppStartupDoneInit()
  * wx-2.9 migration changes
  * BIG CODE COMPLETION CHANGES AND IMPROVEMENTS
  * AStyle-plugin: fix a bug that leads to swapped styles (Linux and GNU),
    added Horstmann-style, fixed a possible endless-loop
  * cb_console_runner (Linux): fixed an issue, that leads to incorrect
    execution times on some (all?) systems; fixed an issue with converting the
    return-value of the system(...)-function (only tested on debian/ubuntu,
    hopefully still works on other linuxes).
  * Applied: [Patch #2739] Occurence highlighting on second (splitted) view
  * applied (modified) patch #2162: add/remove file to/from active project
    (thanks olipfei)
  * applied (modified) patch #2745/2746: improve bracecompletion (thanks
    danselmi)
  * applied (modified) patch #2715: Link for deleting history items from "start
    here" page (thanks arrowdodger)
  * applied (modified) patch #2815: Remove file from project when the delete
    key is pressed (thanks tpetrov)
  * made logmanager more solid against invalid API usage (which unfortunately
    happens through 3rd party plugins resulting in a crash of C::B)
  * fixed a folding issue in split-view reported by danselmi: a folded line in
    the second editor was always shown underlined
  * applied nice ThreadSearch patch that makes TS smaller and more feasible for
    small monitor resolutions
  * added filtering of compiler messages (in compiler options) -> C::B can now
    skip messages with a certain string(s) in it
  * updated code snipptes internal editor to be in sync with C::B one
  * applied patch #2778: wx 2.9 Migration Patch to wxSmith Plugin
  * NEW ICONS
  * make ThreadSearch use wxCustomButton as toggle-button in SearchIn-panel
    instead of wxBitmapButton; set dependencies between projects in contrib-
    plugins-workspace where it is needed
  * make program's arguments and host-applications of the contrib-plugins more
    consistent
  * CC: completing structs enhancedments, thanks ollydbg
  * CC: do not create files while setting up include dirs for parser (GCC only),
    thanks ollydbg
  * editormanager and infopane: force selection of the tab that sends a tab-
    context-menu-event, to make sure this event is handled correctly
  * applied some portions of patch by cgarcia109
  * CC: applied patch by ollydbg concerning operator handling in nativeparser
  * CC: removed problematic code that causes crash. code was part of typedef
    parser but not needed anymore
  * CC: introduced TRACE macros (thanks ollydbg)
  * applied (modified) patch #2803 - faster header source swapping (thanks
    techy)
  * profiler: applied (modified) patch of nausea, less CPU usage, enhanced
    usability
  * profiler: added support for unused functions and static call graph
  * cc: better tooltip (thanks blueshake)
  * cc: fixed a bug pasring function arguments (introduced in r5845)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 11 Oct 2009 23:09:49 +0200

codeblocks (8.02svn5731-0ubuntu1~hardy) hardy; urgency=low

  * compiler: fixed crash with SDCC compiler, thanks stahta01
  * fix an issue in ThreadSearchView, slipped in with the encoding detection
    changes, that can lead to increasing textbuffers
  * added parameter to disable DebugLog output of encoding-detector, otherwise
    it can lead to a crash, if used from inside a thread (like ThreadSearch
    does); fix ThreadSearch accordingly
  * fixed certain bugs in compiler version detection (user defined compilers
    did not work at all)
  * make detection of latin-2 encoding optional, because it can break latin-1
    detection due to their similarity; update mozilla-based encoding-detection,
    comment out some code not needed by C::B
  * wx-2.9 migration: Removed deprecated function calls from src/switcherdlg.cpp

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 29 Aug 2009 13:51:17 +0200

codeblocks (8.02svn5716-0ubuntu1~hardy) hardy; urgency=low

  * BrowseTracker 1.2.80 2009/07/22
    - Call OnEditorActivated() from OnEditorOpened() because editors actived by
    Alt-G, "Swap header/source", and "Recent files" have no cbEditor associated
    in EVT_EDITOR_ACTIVATED, and GetActiveEditor() returns NULL.
    - Hack to find editor's project. Since wxAuiNotebook, the initial
    EVT_EDITOR_ACTIVATED has no cbEditor or cbProject associated.
  * make indendation-guide be shown in empty lines too, thanks to ollydbg
  * brace completion [applied patch 2746 ]
  * added missing properties in editorcolourset's copy constructor
  * fixed a crash-candidate; corrected HitTest in switcher-dialog
  * added version-guards for wxAuiToolbar in wxSmithAui, because it was added
    to wxWidgets in 2.8.9 and breaks build on some distros
  * avoid underlinking of wxSmithContribItems
  * precompile sdk.h, otherwise debugging on linux is partly broken if gcc >=
    4.3, see http://forums.codeblocks.org/index.php/topic,10529.msg73835.html#
    msg73835
  * fixes for ThreadSearch to use C::B's encoding-detection
  * (nasty) hack to avoid a name-conflict between wxWidgets GSocket and the one
    introduced in glib 2.21
  * CodeSnippets 1.3.107 2009/06/22
    - Add "Settings..." to plugin ">" button menu.
    - Use APPDATA envar on first run since CodeBlocks returns "" for config
    folder in OnAttach()
  * merged wxfnb_to_wxaui branch to trunk
  * added missing files in debian install-file (got lost in merge); reverted
    5683 (the files have been renamed in 5671 and are therefore not missing)
  * fix broken context-menus in infopane; make sure that starthere-page is
    hidden if a new project is created; replace tabs with spaces
  * fix a background-coloring issue (not the whole background was coloured,
    only bg containing characters, see
    http://forums.codeblocks.org/index.php/topic,10810.msg74145.html#msg74145)
  * BrowseTracker 1.2.78 2009/07/13
    - Fix activations by keyboard after wxAuiNotebook added.
    - Sort browse marks in idle time.
  * fix a possible crash-candidate
  * indentation guide highlight

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 31 Jul 2009 09:23:36 +0200

codeblocks (8.02svn5678-0ubuntu1~hardy) hardy; urgency=low

  * CodeSnippets 1.3.103 2009/06/1
    - Fix crash when backspace\cut after Ctrl-A (Thanks Loaden)
  * change the rebuild project behaviour similar to rebuild workspace (update
    to r5492)
  * CodeSnippets 1.3.105 2009/06/8
    - Set dragged textdata like dragged filename for FireFox3
    - Replace home grown messageBox with wxGenericMessaageBox
  * KeyBinder 1.0.48 2009/06/8
    - If tree item is a sub-menu don't allow key assignment
    - Change KeyBinder menu access from GetLabel() to GetLabel().Trim()
      (wx2.8.9/10)
  * updated script bindings
  * applied patch#2651
  * updated progrid in wxSmith (minor bug-fix, latest 1.2.x release)
  * fix a bug on some windwos-versions, where the controls of a ListControlLog-
    ger remain partly visible after removing the active logger
  * 64-bit build-fix, needed for new wxWidgets bindings
  * fix a crash when rebuilding from commandline or windows-explorer, and all
    targets/projects are cleaned at once before they get build
  * support vector debugging
  * fixed an issue that makes it impossible for macrosmanager to recognize that
    the file in the active editor has changed (see http://forums.codeblocks.org
    /index.php/topic,10714.msg73420.html for details)
  * fixed 2 possible crash candidates
  * debugger: applied patch #2773 (UI to send command to the debugger directly
    ). Thanks oBFusCATed!
  * headerfixup: Applied modified patch of the forums to make the log more
    beautiful, some UI re-design
  * more changes to debian build system, should be now lintian-clean, except
    for some guessed spelling errors; changed name and install-dir of mimetype-
    icons; fixed a typo
  * wx-2.9 migration changes

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 22 Jun 2009 22:00:59 +0200

codeblocks (8.02svn5616-0ubuntu1~hardy) hardy; urgency=low

  * compiler: added regex for "cannot open output file" (TODO: Probably valid
    for other compilers, too?!)
  * debian build:
    - reorganised debug-packages, needed after changing compatibility level to
    5,
    because the codeblocks-dbg package became a little too large (40 MB):
    codeblocks shared library is now in codeblocks-dbg,
    added codeblocks-contrib-dbg package containing debug libraries for
    the contrib-plugins;
    - moved codesnippets executable from codeblocks- to contrib-plugins-package
  * CodeSnippets 1.3.102 2009/05/26
    - Remove app default.conf.cbtemp from /APPDATA/codesnippets in OnClose;
    - Correct .cbtemp name to .cbTemp for linux
    - Don't raise focus when ::wxActiveWindow != CodeSnippetsTreeCtrl in
    OnEnterWindow()
  * patch applied : don't show debugging value tooltip when a context menu is
    open (will greatly improve the "right click : Add" watch functionality)
  * don't show code completion tooltip when debugging [we want to see the value
    tooltip in case it has been enabled]
  * added regex for linker-warning and another linker-error; removed ipc.cpp
    and ipc.h from project-file, because they are not used, but can lead to an
    internal compiler error with gcc >= 4.3 on 64-bit systems
  * wx-2.9 migration: Temporarily disabled compiler version detection with
    wx-2.9 to fix a lock-up during C::B startup

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 02 Jun 2009 07:24:46 +0200

codeblocks (8.02svn5602-0ubuntu1~hardy) hardy; urgency=low

  * Applied: [Patch #2730] miss armelfgcc in the common_functions.script (in
    modified form)
  * Fixed: [Bug #14969] profiler/cbprofilerexec.cpp:255: Array index out of
    bounds
  * added debian-subdir to main Makefile.am (for make dist)
  * Fixed: [Bug #14424] It is not possible to create .pdb file in Release
    version.
  * wx-2.9 migration: wxFNB patch to use new event handling system.
  * Added GetCBConfigDir() to call routines that check for APPDATA var
  * CodeSnippets 1 3.98 2009/04/26
    When passing URL, remove anything pass \r or \n
    Fixed: A dragged URL item to a snippet did not save. CS did not know it had
    changed.
    Added zoom functions to Apps DragScroll class
    Added GetCBConfigDir() to call routines that check for user APPDATA var
  * Many wx-2.9 migration     Fixes
  * cbBrowseTrackr 1.2.76 2009/04/28
    - Add include ConfigManager for linux
  * CodeSnppets 1 3.99 2009/04/29
    - App: check for standalone execution before closing in OnClose() to avoid
      error "can't delete default.conf.cbTemp"
  * avoid division by zero, in wxSmith on macosx
  * added libtool and automake to build-dependencies for debian/ubuntu
  * added subversion and xsltproc to build-dependencies for debian/ubuntu; run
    bootstrap in debian-buildprocess, if needed; automatically update ChangeLog
    to HEAD in debian-buildprocess by running updateChangeLog.sh
  * added subversion and xsltproc to build-dependencies for debian/ubuntu; run
    bootstrap in debian-buildprocess, if needed; automatically update ChangeLog
    to HEAD in debian-buildprocess by running updateChangeLog.sh
  * C++Ox for gcc option
  * debugger: send debugger events and react accordingly (applied patch #2632)
  * change some debian files to be more compliant to uptodate standards
  * fix a possible compiler-warning

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 17 May 2009 10:54:23 +0200

codeblocks (8.02svn5535-0ubuntu1~hardy) hardy; urgency=low

  * readded include-path for tinyxml for byogames and codesnippets on windows,
    otherwise build is broken with MinGW 3.4.5 shipped with 8.02 release
  * fix a bug in codecompletion, that leads to a crash in some cases
  * make the rebuild workspace-behaviour configurable: default is to clean the
    entire workspace, before building the projects/targets; alternatively the
    projects/targets will be cleaned and buildone by one; see Compiler settings
    -> Other settings
  * make dist fixes
  * added the option to determine the width of horizontal scrollbar
    automatically (see "Settings -> Editor -> Margin and caret"), needed to
    scroll in very long lines
  * added the possibility to specify the execution directory for custom
    makefiles, based on a patch of gryphon
  * Applied: Xaviou's patch for better translation of C::B
  * Modified: Code::Blocks configuration directory retrieval code to make it
    portable on Windows

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 14 Apr 2009 21:57:01 +0200

codeblocks (8.02svn5489-0ubuntu1~hardy) hardy; urgency=low

  * custom-makefiles: - changed clean-process, to show output, if full
    commandline logging is turned on
  * don't run postbuild-steps if we only clean the project
  * todo plugin: actually make the plugin really (!) remember new users/types
    (case sensitive)
  * todo plugin: make plugin handle #warning and #error correctly
  * all plugins that use flatnotebook, have to be compiled after wxsmith-
    contrib-items or depend on it, because fnb was moved to this project
  * enhanced handling of adding, deleting, duplicating and renaming build
    targets in debugger-plugin, fixes a crash that occurs if extra-commands or
    remote-debugging parameters are used in a target, that should be deleted
  * enhanced handling of adding, deleting, duplicating and renaming build
    targets in debugger-plugin, fixes a crash that occurs if extra-commands or
    remote-debugging parameters are used in a target, that should be deleted
  * project options: autoext. does not work correctly (fixes bug #15341)
  * IncrementalSearch-plugin and HighlightOccurences: fixed a bug when
    highlighting non-ASCII characters, like german umlauts or chinese chars
    (both) or auto-selecting text found by IncSearch when leaving toolbar with
    ESC (IncSearch)
  * updated app.xpm to make C::B on linux use the same (3d-)icon in titlebar as
    on windows
  * ThreadSearch: use icons search, options, searchdir for ThreadSearch
    settings

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 29 Mar 2009 10:38:08 +0200

codeblocks (8.02svn5456-0ubuntu1~hardy) hardy; urgency=low

    * wxSmith: Fixed event names for wxListbook and wxChoicebook (thanks goes
      for kencamargo for finding this)
    * Fixed: File can't be opened if "As Default encoding ..." option is
      selected
    * encoding detector: using system locale as backup-solution has returned
    * HexEdit: Added support for files up to 2GB (unchanged data is read
      directly from the file)
    * HexEdit: Resolved problems related to 32-bit resolution of scrollbar,
      HexEdit can now support files with size up to about 10^19
    * Fixed: [Bug #15121] PlatMacOSX.cxx:324: Mismatching allocation and
      deallocation
    * Added: Digital Mars C/C++ compiler Debug options, Warning options,
      Optimization options & Exception options to scripted wizard
    * avoid unneded quotes in commands, otherwise using of "konsole" unde KDE
      gets broken, fix for issue coming in with rev 5410
    * HexEdit: Implemented search support
    * HexEdit: Integrated internal search with normal editor's search history
    * HexEdit: (version 0.5 ready)
      - Implemented backward search
      - Few bugfixes
    * HexEdit: Fixed crashing internal test cases, caused by using
      wxProgressDialog from other thread

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 15 Feb 2009 11:00:32 +0100

codeblocks (8.02svn5432-0ubuntu1~hardy) hardy; urgency=low

  * fix possible crash-candidate in new IPC/DDE-implementation
  * set member-variable that holds the version-string, after (!) we read the
    toolchain executables from configuration
  * if we are in batch-mode, no DDE/IPC-server should be started
  * Fixed bug in changebar : Closes: #15029
  * updated copyright time to 2009
  * expand variables, before trying to get the version-string for gcc/MinGW-
    compilers
  * corrected icon for "Edit -> Clear changes history"
  * allow raising batch-build dialog via icon (applied patch from the forums)
  * move SaveAs to EditorBase so that plugin can make better use of it
  * added CanSelectAll and SelectAll to EditorBase (suggested in the forums for
    plugins)
  * provide workspace built-in variables as macros (applied patch from the
    forums)
  * skip spaces before "=" and "," in tokenizer (suggested in the forums)
  * applied wxScintilla/D-lexer related patch (provided in the forums)
  * applied patch to realpath to fix problems with symlinks (suggested in the
    forums)
  * HexEdit plugin: Make use of new SaveAs API (thanks danselmi), Make sure the
    entry in the "File" menu is not at the bottom
  * fixed wxscintilla bug, that leads to not working mousewheels on some systems
    . Thanks to DrewBoo. : Closes #15054
  * avoid trailing quotes in some cases, use "platform-dependent" quotes
  * IncrementalSearch: Removed use of global variables from Unix project file to
    make it consistent with other project files.
  * Fixed: codeblocks.desktop file
  * Fixed: [Bug #15075] rename DoubleToString to avoid conflict with wxWidgets
    (By applying [Patch #2653] rename DoubleToString to avoid conflict with
    wxWidgets)
  * avoid gtk-critical due to initial sizes less than -1
  * Improvements and fixes for custom makefiles build-system, especially for use
    of multiple custom makefile projects in one workspace.
    Based on a patch of gryphon.
  * fix to make the editor respect margin masks set by plugins like
    browsetracker,
    fixes the blue-line-problem: http://forums.codeblocks.org/index.php/topic,
    9998.msg69512.html
  * fixed error (margins initially not shown) , that came in with last commit
  * handle silent install correctly (silent install is toggled via the /S
    command line switch)
  * fixed a crash, that happened when todo-list gets disabled, when it is in
    message pane
  * Modified: Default encoding settings. Now user can set an encoding as a
    Default one or as a fallback one.
  * Fixed: [Bug #15158] Cannot open source code in F10

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 03 Feb 2009 06:12:51 +0100

codeblocks (8.02svn5380-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 04 Jan 2009 23:56:32 +0100

codeblocks (8.02svn5380-0ubuntu1~hardy) hardy; urgency=low

  * fixed the drag and drop-bug coming up with new scintilla version
  * IncrementalSearch-plugin: some more changes that got lost while merging
    with new scintilla-branch
  * Merged: MySQL lexer missed in last branch merging.
  * merged "scintilla" branch to trunk (r5247-r5320).
  * make sure that masterpath and extrapath of a toolchain executable come
    before default systempath in executables environment, to avoid conflicts
    with different versions with the same name
  * ThreadSearch: implemented the possibility to remove search results from
    list or tree control.
  * HexEdit: Fixed calculation of address

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 01 Jan 2009 22:11:12 +0100

codeblocks (8.02svn5340-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 19 Dec 2008 22:03:06 +0100

codeblocks (8.02svn5340-0ubuntu1~hardy) hardy; urgency=low

  * HexEdit: Added ability to change the way columns count is calculated
  * changed directory-layout if codeblocks gets build with automake, to make
    it more compliant with the "Filesystem Hierarchy Standard"
  * changed debian package-layout, to have arch-independent and arch-dependent
    files in different packages
  * added wxsmith development headers and a wxsmith conf-file for pkgconfig
  * ThreadSearch plugin : implemented the possibility to run many searches
    without deleting previous results.
  *	HexEdit:
   - Code refactoring to prepare better architecture for parametrized views
   - Added possibility to chage view modes: Bin/Hex, 1,2,4,8 Bytes, Big-Endian/
     Little-Endian (in editor only, not yet in value preview)
  * If "Auto show/hide message pane" has changed in environment settings dialog,
    it will be used immediately (without restart of C::B).
  * After compiling with message "Nothing to be done." message pane will be
    closed if "Auto show/hide message pane" is activated.
  * Make sure that no deleted layouts remain in conf-file, if their amount
    decreased.
  * remember logger pane size when toggling with F2 (modified patch of elie)
  * tidycmt plugin checkin

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 19 Dec 2008 05:28:48 +0100

codeblocks (8.02svn5322-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 29 Nov 2008 15:26:57 +0100

codeblocks (8.02svn5322-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 29 Nov 2008 14:48:09 +0100

codeblocks (8.02svn5322-0ubuntu1~hardy) hardy; urgency=low

  * Editor: partially applied patch #2116: in wrap mode put cursor with Home/
    end key at current wrap point
  * fixed some layout issues:
    - text now fits inside editorconfiguration-dialog (again?) General Settings
      -> Other options,
    - in compilerconfiguration-dialog toolchain-tab is shown correctly (also
      fixes that buttons sometimes have been cut off in Build options) both
      happened mainly on linux,
    - toolbars with standard-controls are now (always) shown correctly with
      wxWidgets2.8.9 on windows,
    - enabled firefox 2 style for notebooks
  * fixed "file save" and "file save all" 16x16 toolbar images not disabling
    (wrong color depth of the images)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 29 Nov 2008 13:59:40 +0100

codeblocks (8.02svn5309-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 11 Nov 2008 23:36:34 +0100

codeblocks (8.02svn5309-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 11 Nov 2008 22:39:00 +0100

codeblocks (8.02svn5309-0ubuntu1~hardy) hardy; urgency=low

  * Help plugin: Fix: Search for "&Help", not "Help" (causes problems with
    translations)
  * many other menu additions/translation fixes

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 11 Nov 2008 21:08:28 +0100

codeblocks (8.02svn5299-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 10 Nov 2008 10:51:39 +0100

codeblocks (8.02svn5299-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 10 Nov 2008 09:53:23 +0100

codeblocks (8.02svn5299-0ubuntu1~hardy) hardy; urgency=low

  * Search in class browser works on windows now too
  * scriptconsole: make the command execute by pressing enter inside the
    combobox on windows, too. (On linux/gtk it worked out of the box)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 10 Nov 2008 09:00:10 +0100

codeblocks (8.02svn5297-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 09 Nov 2008 23:46:47 +0100

codeblocks (8.02svn5297-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 09 Nov 2008 22:47:50 +0100

codeblocks (8.02svn5297-0ubuntu1~hardy) hardy; urgency=low

  * Moved class wizard menu item to "File->New->Class
  * Minor fix related to calltips
  * Display any script errors in separate (multi-line) window
  * Incremental Search 0.4 2008/10/19:
    - fixed a possible crash, when no "Start here"-page is shown
    - make found text visible, even if it is in a column outside the actual
      editor-window
    - ESC now leaves IncSearch and optionally selects found phrase (if
      textcontrol has focus)
    - ALT-DELETE clears textcontrol (if it has the focus)
    - added some svn-keywords to the files
  * wxSmith:
    * Applied (in modified form) update to wxGrid by rcoll
    * Fixed typo in wxSashLayoutWindow (invalid name of XML property)
  * HexEdit:
    * Added automated expression parser tests
    * Added basic trygonometric functions, log and pow
    * Added parsing of floating point numbers
    * Optimized a little bit the produced code
  * wxSmith: Replaced some icons with those provided by nausea
    (http://forums.codeblocks.org/index.php/topic,372.msg66841.html#msg66841)
  * Applied: Patch to improve OpenWatcom compiler support (Thanks to YesNo)
  * Fixed: [Bug #14714] Mismatching allocation and deallocation in
    source_exporter
  * Fixed: [Bug #14713] Memory leak in src/plugins/compilergcc/depslib/src/
    regexp.c
  * Fixed: [Bug #14639] Ignoring case when renaming files to same name case
    modified
  * partially applied patch #2162: Common RemoveFileFromProject method (avoid a
    lot duplicate code)
  * hopefully fixed crash on output parsing
  * wxSmith: added missing style to wxComboBox

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 09 Nov 2008 21:46:53 +0100

codeblocks (8.02svn5274-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 19 Oct 2008 14:44:57 +0200

codeblocks (8.02svn5274-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 19 Oct 2008 13:53:46 +0200

codeblocks (8.02svn5274-0ubuntu1~hardy) hardy; urgency=low

  * Incremental Search: fix for windows to make text control update bg-colour
    immediately
  * todo list plugin: implemented sorting of columns

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 19 Oct 2008 12:37:33 +0200

codeblocks (8.02svn5268-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 12 Oct 2008 23:16:02 +0200

codeblocks (8.02svn5268-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 12 Oct 2008 22:36:19 +0200

codeblocks (8.02svn5268-0ubuntu1~hardy) hardy; urgency=low

  * fixed crash-candidates: conversion to multibyte-string fails in some rare
    cases and crashes C::B if result is passed to c/c++-functions
  * fixed bug in tokenizer related to function arguments with nested c-style
    comments
  * wxSmith: updated wxPropGrid from 1.2.10 to 1.2.12 (for wx28 compatibility)
  * pending breakpoints can now be removed after starting debug-session
  * fixed an issue that causes progressbar to stay always on top when adding
    files in linux via projects context menu
  * fixed a problem with accessing infopanes correctly after moving or toggling
    them
  * HexEditor: Added editor for stored expressions
  * wxSmith:
    * Added missing size events to some base items (not all items updated)
    * Added "Advanced" category on the palette - it will be used for more
      complex items available inside wxWidgets
    * Added following items provided by rcoll:
    - wxSingleInstanceChecker
    - wxSashWindow
    - wxSashLayoutWindow
    - wxStopWatch
    - wxSymbolPickerDlg
    - wxGLCanvas (not yet enabled since it causes stability problems on gtk)
  * HexEditor (expressions):
    * Switched memory accessing operator from "<dataType>( <offset> )" to
      "<dataType>[ <offset> ]"
    * added alternative to '@' as a string 'cur'
  * wxSmith: Updated (added) missing events to wxCheckListBox (derived from
    wxListBox)
  * fixed a problem when disabling a plugin that uses two infopanes, at least
    one of them was not deleted, also fixing a wxFlatNotebook bug, if the last
    two notebooks get deleted and the last had the focus before
  * Valgrind plugin: fixed a crash, when plugin was disabled
  * update.bat: supress warnings about non-existing files, if UI resources are
    compressed the first time
  * Removed: Unnecessary files from wxPropertyGrid. Please do not put them in
    C::B repository
  * ThreadSearch plugin: fixed a bug that causes a crash on linux (maybe also
    on win), when ThreadSearch uses Messages notebook and was toggled off and
    then on again
  * Added "--file=foo.cpp[:line]" option so a file can be opened and, optionally,
    jump to a specific line
  * wxSmith: Fixed bug in font property generating wrong code when relative
    size was used
  * Patch #2570 to fix bug #10775, "GotoLine()" now works correctly, even if
    parts of the code are folded. Thanks to XayC
  * wxSmith:
    * Enabled wxGLCanvas (setting custom context not available yet)
    * Changed some code to use same naming convention
  * pumped wxScintilla component to v1.71.1, pumped scintilla component to
    v1.7.6
  * Fixes to make new Scintilla test-branch build on Linux (with cbp and
    autotools) and to remove some warnings
  * todo list plugin: made todo types configurable
  * Patch for (wx)scintilla to have more colourful highlight-capabilities with
    indicators, patch for Highlight occurences to use this
  * Adding incremental search as contrib-plugin
  * several updates and fixes on the initial IncrementalSearch

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 12 Oct 2008 21:44:07 +0200

codeblocks (8.02svn5208-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 24 Sep 2008 00:18:19 +0200

codeblocks (8.02svn5208-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 23 Sep 2008 23:17:16 +0200

codeblocks (8.02svn5208-0ubuntu1~hardy) hardy; urgency=low

  * wxSmith: added "SetSashPosition" to generated code to make the appropriate
    parameter work
  * projects_importer (MSVC6): Add support for importing post build commands
  * DragScroll 1.3.23 2008/08/29
    - Fixed: font sizes increasing across sessions in OnMouseWheelEvent.
    - Save/restore users ctrl-MouseWheel font changes across sessions.
    - Fixed: crash caused by failure in CleanUpWindowPointerArray()
    - Changed option label "MouseWheelZoom" to "Log MouseWheelZoom" to avoid
      confusion; even though it applies to other tree and list controls
  * fixed update-script for linux, previous version seems to be incompatible
    with some shells
  * wxSmith: added "SetSashPosition" to generated code only if wxSplitWindow
    has two children (update for r5196)
  * fixed an issue that leads to a crash on linux, if the last watch was
    removed from "Debug -> Edit watches" dialog
  * Fixed: Project Importer menu location at File menu was hard-coded. (It's a
    cosmetic fix and fixing two separators after Import Project menu item bug
    in latest nightlies)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 23 Sep 2008 22:34:13 +0200

codeblocks (8.02svn5195-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 28 Aug 2008 23:53:30 +0200

codeblocks (8.02svn5195-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 28 Aug 2008 23:13:24 +0200

codeblocks (8.02svn5195-0ubuntu1~hardy) hardy; urgency=low

  * added logrotate-style backups to autosave
  * Hopefully fixed dde-issue when double-clicking on associated files in
    explorer on XP and CodeBlocks is not yet running

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 27 Aug 2008 21:16:05 +0200

codeblocks (8.02svn5193-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 26 Aug 2008 19:35:42 +0200

codeblocks (8.02svn5193-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 26 Aug 2008 06:26:30 +0200

codeblocks (8.02svn5193-0ubuntu1~hardy) hardy; urgency=low

  * HexEditor:
    * Many bugfixes in the expression parser
    * Added expression parsing into the preview section
  * RegExTestbed plugin: fixed a bug that makes it impossible to select/copy
    the quoted expression on linux and makes it impossible to scroll the text
    of the output control.
  * copy/cut-paste fixes in linux
  * copy/move fixes on linux when drag and drop of selected text with the mouse
  * applied Patch #2544 : loggers font fix
  * applied in modified form [ Patch #2537 ] help_plugin: missing prototypes in
    defs.h
  * Implemented: [Feature Request #4270] Occurrence selection should be case-
    sensitive
  * Highlight Occurrences: Added option to highlight Whole Words.
  * Polished: Highlight Occurrences. Selection will now be Filled rectangle,
    instead of a outlined rectangle.
  * DragScroll 1.3.18 2008/08/23
    - Implement Ctrl-MouseWheel zoom for CB list & tree ctrls
    - Add config options "Ctrl-WheelMouse Zooms" and "Remember Log Zoom"
    - Allow user to ctrl-mouse zoom htmlWindows (eg, Start Here page)
    - Fixed: missing events bec.StartHere htmlWindow never issues wxEVT_DESTROY
  * CodeSnippets 1 3.92 2008/08/23
    - App:Added RemoveFileFromRecentHistory routine
    - Allow user to specify new filename at "Load Index File..."
    - Adjust CodeSnippet TreeCtrl font via Ctrl-MouseWheel
    - Adjust ThreadSearch log font via Ctrl-MouseWheel
    - Delete temporary files created when editing xml text items
    - After external file mod and reload, call ScbEditor::SetEditorStyleAfterFileOpen()
      to re-establish margin style, width, etc.
    - Add file dragndrop to EditSnippetFrame
    - Add wxLog::EnableLog(false) for release app to stop wxWidget wxMessageBox's
      when user starts CodeSnippets.exe without a CodeBlocks .conf file.
    - Removed memoryMappedFile code for compatibility with non-linux unixes
    - Fixed missing events when CS switched from External to docked/floating
    - Auto start CS app if running in previous session.
    - Auto show docked or floating when switching from app
    - Ask user if s/he really wants multiple invocations of CS from same folder.
  * Highlight Occurrences: Added: Support for user-defined colours.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 25 Aug 2008 22:53:22 +0200

codeblocks (8.02svn5182-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 11 Aug 2008 23:26:57 +0200

codeblocks (8.02svn5182-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 11 Aug 2008 22:40:19 +0200

codeblocks (8.02svn5182-0ubuntu1~hardy) hardy; urgency=low

  * HexEditor: Added expression calculator (based on simple virtual machine),
    it will be used for goto, search and preview operations
  * Fixed a bug that can lead to a crash if compiler-plugin checks if external
    deps are outdated. Thanks to jeroen for pointing this out and the patch.
  * HeaderFixup plugin: fixed typo in defaults.cpp that leads to incorrect
    includes

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 11 Aug 2008 21:32:50 +0200

codeblocks (8.02svn5177-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 05 Aug 2008 00:03:18 +0200

codeblocks (8.02svn5177-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 04 Aug 2008 21:35:42 +0200

codeblocks (8.02svn5177-0ubuntu1~hardy) hardy; urgency=low

  * Fixed bug causing C::B to rejest closing when using editor other than the
    internal one
  * HexEditor: Added "Open with HexEditor" option into the "File" menu
  * HexEditor: Implemented goto functionality (ctrl+g)
  * HexEditor: Implemented inserting new bytes (INSERT key) and deleteing
    current (DELETE key)
  * CodeSnippets 1 3.80
    - Center find dlg in parent frame
    - Invoke CheckForModifiedFiles in EditSnippetFrame EVT_ACTIVATE
    - Invoke CheckForModifiedFiles in ThreadSearchFrame EVT_ACTIVATE
    - Pass URL/URI in dragndrop as file for browsers
    - App:Fix activating first instance when starting secondary instances, then
      exit
    - {enter} in snippets properties label simulates OK
    - Fixed: App: CodeSnippets XML Index is not being saved OnClose
        o .(2008/07/30)
    - Fixed: Loop caused by cross-frame event posting in EVT_ACTIVATE routines
    - Speed up .cbp compile time by sharing obj directory betwn plugin &
      standalone
  * HexEditor: Applied patch by dmoore - integration with ShellExplorer plugin
  * OnReload does not re-establish margin numbers and width (Bug #014298, patch
    number #002536)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 04 Aug 2008 20:35:18 +0200

codeblocks (8.02svn5160-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 24 Jul 2008 12:42:33 -0600

codeblocks (8.02svn5160-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 24 Jul 2008 11:51:58 -0600

codeblocks (8.02svn5160-0ubuntu1~hardy) hardy; urgency=low

  * Fixed: Occurrence selection remains active after deselecting the text
  * Fixed: Auto-detection of GCC returns wrong compiler dir (Reproducible in Fedora 9)
  * HexEdit:
    * Fix problems with crashes on windows (potentially)
    * Fix problem with displaying small files

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 24 Jul 2008 11:03:42 -0600

codeblocks (8.02svn5156-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 Jul 2008 17:20:42 -0600

codeblocks (8.02svn5156-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 Jul 2008 16:31:07 -0600

codeblocks (8.02svn5156-0ubuntu1~hardy) hardy; urgency=low

  * wxSmith: (thanx to pdsonic for finding these bugs)
  * Fixed bug with checkable menu item (invaild name of XML node)
  * Fixed procedure fetching menu items from XRC file
  * Applied: [Patch #2525] Occurrences Highlighting

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 Jul 2008 14:01:05 -0600

codeblocks (8.02svn5153-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 22 Jul 2008 13:15:08 -0600

codeblocks (8.02svn5153-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 22 Jul 2008 12:07:15 -0600

codeblocks (8.02svn5153-0ubuntu1~hardy) hardy; urgency=low

  * HexEditor: Workaround for MinGW's broked printf support for long double
  * HexEditor: Added protection from crashes - all hex editors are closed
    before plugin is detached
  * CodeSnippets 1 3.70 2008/07/20 : Fix FullSearch file open crash when
    CodeCompletion loaded
  * fixed regression due to rev 5124 with libary selection/modification
  * Improved: Code to address a lock-up when is entered

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 22 Jul 2008 11:15:18 -0600

codeblocks (8.02svn5142-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 19 Jul 2008 18:36:36 +0200

codeblocks (8.02svn5142-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 19 Jul 2008 17:54:31 +0200

codeblocks (8.02svn5142-0ubuntu1~hardy) hardy; urgency=low

  * Applied: [Patch #2508] Wrong name for .o file after renaming .cpp file
  * header_fixup plugin:
    - updated C::B defaults (e.g. to include the new logger)
    - fixed a few bugs in wx 2.6.4 defaults
    - added wx 2.8.8 defaults
    - detect existing forward decls
    - detect spaces in includes, e.g. #include < wx/wx.h >
    - make the log available in a report window for inspection/save
    - save the UI settings (including selection of libs)
    - use RegEx for detection of includes, forward decls... in files
  * fixed crash when clicking the close-button twice by applying patch #2513,
    thanks Der Meister
  * applied several patches from Bugtracker (thanks jens and others...)
    - handle special charakters in tokenizer (fixes freeze)
    - fix some compiler warnings on windows (auto-import)
    - fixed issues with wxSmith on 64bit systems
    - choose the right target for debugging
    - correct placement of file modified dialog
    - fixed wrong behaviour of taskbar icon on batch builds
    - save missing layout infos
  * CodeSnippets with ThreadSearch : RightClick root item and choose FullSearch
  * wxSmith: Changed method of connecting events directly to item (like
    itemVariable->Connect( ... ) ) - id's of items are not used now since this
    caused some problems (like wxEVT_CHAR was not always processed)
  * lib_finder: Added support for library dependencies
  * allow multiple selection for libraries in compiler options for all
    operations (move, copy, delete...)
  * CodeSnippets 1 3.68 2008/07/13 :  Fix standalone module to run as portable
    exe
  * CodeSnippets 1 3.69 2008/07/14 : Jens' fix for broken CheckForModifiedFiles
    (Thanks)
  * wizards:
    - add support for Audo-Future derivatives (TC1767/TC1797)
    - add wizards with usage of internal flash
    - switch to new SFR header files for TriCore
    - add support for Audo-Future derivatives
  * updated bzip libs to most recent version (fixes security flaws)
  * added several lexers by applying patch #2517 (thanks danselmi)
  * fixed bug #14098, by applying patch #2506 (thanks techtonik)
  * Added HexEditor plugin

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 19 Jul 2008 16:31:53 +0200

codeblocks (8.02svn5106-0ubuntu1~dapper) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 10 Jul 2008 11:39:41 -0400

codeblocks (8.02svn5106-0ubuntu1~feisty) feisty; urgency=low

  * backport to Ubuntu 7.04 (Feisty Fawn)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 10 Jul 2008 08:20:36 -0400

codeblocks (8.02svn5106-0ubuntu1~hardy) hardy; urgency=low

  * fixed crash with HeaderFixup plugin if no project is active
  * Fixed: Couple of layout issues in Header-fixup plugin
  * menu entries and keyboard shortcuts for "Find declaration of :'...'" and
    "Find implementation of :'...'"
  * applied patch 2494 which fixes bug 14037 (thanks Jens)
  * Help plugin: [BUGFIX] Crash when deleting first entry (patch provided
    by jens)
  * fixed: C::B not asking anymore to save a modified workspace if e.g. another
    project was added
  * menu entry and keyboard shortcut for "Open include file"
  * don't parse the targets of another platform for include directories
    [otherwise you get crap on linux when for example a project containing
    linux wx target and windows wx target : on linux you get complaints that
    #WX is unknown and you get the global var dialog very easily 6 times or
    more presented]
  * Added current target to search scope in ThreadSearch plugin
  * Fixed: File permission gets messed up after a file save. (Uses a portion of
    patch by Jens, Thanks!)
  * Fixed: AutoVersioning plugin adds version.h more than once for projects
    with more than 2 targets

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 27 Jun 2008 14:41:29 -0600

codeblocks (8.02svn5093-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 09 Jun 2008 21:22:34 +0200

codeblocks (8.02svn5093-0ubuntu1) feisty; urgency=low

  * Fixed: Possible crash when an open file is deleted from disk and C::B is
    asked to remove it from project tree
  * added HeaderFixup plugin with subsequent fixes
  * Editor: fix pasting in block select mode (thanks to SiegeLord)
  * Fixed: [Bug #13982] Undocked (floating) windows can cause GTK-Critical on
    linux (Using [Patch #2490])
  * Applied: [Patch #2480] Speedup update-script on linux

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 09 Jun 2008 21:12:34 +0200

codeblocks (8.02svn5082-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 29 May 2008 23:03:43 +0200

codeblocks (8.02svn5082-0ubuntu1) feisty; urgency=low

  * Fixed: [Bug #13841] memory dump does randomly not work (by applying [Patch
    #2475]). Thanks Jens for the patch
  * fixed broken replace in files (thanks to Bob)
  * Fixed: Memory dump window shows wrong memory address
  * DragScroll 1.2.15 2008/05/22
    -Allow multiple invocations of OnAppStartupDoneInit() in order to catch
      windows that open after we intialize. (2008/03/4)
    - Conversion to use only one event handler (2008/04/22)
    - Optimizations in MouseEventsHandler
    - SearchForScrollableWindows() as service to external callers
    - Added DragScroll events for rescanning/adding/removing windows
    - Optimized/cleaned up MouseEventHandler
    - Removed OnWindowOpen EditorManager dependencies
    - Add Configure() and event to invoke it. 2008/04/29
  * Script console is now a docking window (instead of being part of the logs)
  * Script console now keeps a history of entered commands
  * Fixed layout of some dialogs
  * Applied: [Patch #2452] Speedup 'update.bat'
  * Debugger plugin: Bugfix: Valid frames in the call stack being discarded, ?
    Check: '(' printed as the address of call stack #0 when there's not
    address information at all for it

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 29 May 2008 22:22:45 +0200

codeblocks (8.02svn5074-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 19 May 2008 23:47:30 +0200

codeblocks (8.02svn5074-0ubuntu1) feisty; urgency=low

  * Fixed: [Bug #13500] Setting the icon of a wxFrame causes compile error
  * Fixed broken "run" functionality for console apps (windows)
  * applied [ Patch #2422 ] Corrected spelling of "explicitly"
  * applied [ Patch #2362 ] Get lexer sample from user data dir like lexer xml
  * Added: SQL lexer
  * applied [ Patch #2424 ] GDB allows editing of breakpoints when debugee is
    running
  * Fixed C++ parser bug with operators containing the '=' digit (caused the
    parser to skip big chunks of code)
  * Added new view filter for symbols browser: "Everything" (displays all known
    symbols)
  * Members list in symbols browser (bottom list) now displays member
    categorized (ctors & dtors, functions, vars, others), where available, for
    easier reading
  * Enabled (and improved compared to initial plans) search functionality in
    symbols browser
  * lib_finder:
    - Added dialog helping to deal with unknown libraries when project uses
      them
    - Library detection definitions can now be downloaded from internet
  * added native support for INL file extension (template implementation files)
  * applied modified (no ABI change) variant of patch #2425 by DrewBoo ("SDK
    recognises source and header extensions in project mgr")
  * Fixed bug with encoding detector being called twice per file
  * Fixed default value inconsistency in two places for ignore_invalid_targets
    setting
  * Fixed a couple of bugs in C++ parser when parsing comments
  * AStyle Plugin:
    - Upgraded to AStyle 1.22
    - Reset m_PeakStart after peekReset
  * lib_finder:
    - Changed list.xml content to look more like current library detection
      settings xml files
    - Small bug fixes
  * Debugger now updates the call stack when manually switching to a different
    thread
  * Source Exporter: Added option to print line numbers in the exported file
  * wxSmith:
    - Exported 'WxsRecoverWxsFile' function into squirrel - it may be used to
      recover resources when they were lost
    - Fix potential crash when loading project with invalid resource
      definitions
  * Project-wide remote debugging settings now offer project-level settings too,
    in addition to target-level settings (target-level settings override project-level ones)
  * lib_finder: Added support for versioning of library detection settings
  * handle read-only file (editor) properly for search-and-replace
  * show an info window if while replacing in files some files were skipped due
    to being read-only
  * Fixed: [Bug #13800] Digital Mars Resource Compiler Error
  * Fixed: Digital Mars Compiler throws error while compiling Win32 App wizard
    generated projects
  * Fixed: Digital Mars Resource Compiler throws error while compiling Win32
    App wizard generated resource files
  * Minor tweak in Win32 App wizard generated resource file
  * Fixed: [Bug #13807] bootstrap of C::B fail on missing src/setup
  * Muchos fix on fix on fix of moving around files (setup dir etc ....) [yes,
    we screwed around]

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 19 May 2008 23:01:29 +0200

codeblocks (8.02svn5020-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 27 Apr 2008 23:23:36 +0200

codeblocks (8.02svn5020-0ubuntu1) feisty; urgency=low

  * Fix for bug with filenames that contain symlinks in their paths (might open
    the same file more than once using different paths because of the symlinks)
  * Fixed well-hidden parsing bug related to template parameters
  * Preprocessor definitions are now parsed and display the macro's definition
    when the macro is used as a function
  * Fixed code-completion bug that would fail providing suggestions if the
    caret was at the end of the file
  * Fixed: [Bug #13676] OnCompiler(Started,Finished) event.GetProject() returns
    null
  * Fixed: Refresh the project tree after AutoVersioning plugin configures a
    project
  * LD_LIBRARY_PATH is now correctly set for targets executed with
    cb_console_runner
  * Added debugger option: "catch C++ exceptions"
  * Added debugger option: "auto switch to first valid frame when breaking".
    Meaning the debugger will switch to the first frame with valid filename/
    line info when breaking
  * Replaced a couple of debugger's message boxes with info windows
  * Fixed: [Bug #13679] Crash in CodeCompletion after autosave

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 27 Apr 2008 21:48:39 +0200

codeblocks (8.02svn5010-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu 6.06 (Dapper Drake)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 Apr 2008 01:46:17 +0200

codeblocks (8.02svn5010-0ubuntu1) feisty; urgency=low

  * Fixed: [Bug #13585] Reload dialog shows when autosave if enabled
  * Fixed special comments confusing the C++ parser occasionally
  * Fixed bug in temporary C++ buffer parsing leading to not recognizing some
    local vars (in some cases)
  * New projects are now fully parsed for symbols after the wizard finishes
  * lib_finder: Fixed bug causing new custom libraries to be removed
  * Fixes to conditional variable handling
  * Fixed a parsing error with stream operator (<<)
  * Applied: [Patch #2442] AutoVersioning bugs, new features (For JGM)
  * GCC support : added -std=c++98 and -Weffc++ compiler options

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 23 Apr 2008 01:05:25 +0200

codeblocks (8.02svn5000-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu Dapper 6.06

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 11 Apr 2008 19:47:13 +0200

codeblocks (8.02svn5000-0ubuntu1) feisty; urgency=low

  * class wizard: add support for member variables, add support for (doxygen)
    documenation
  * added new compiler: LCC
  * class wizard: prefix checkbox not taken into account
  * added Matlab-C-S-function wizard
  * Fixed: Crash in Linux when an item is dragged from one virtual folder to
    another and then it's edited. (Thanks r0d for posting and Jens for the
    patch)
  * lib_finder:
    - Each library can not provide list of header files (using */? wildcards)
    declared with this library
    - Those headers can now be used to automatically detect missing libraries
    in project
  * Applied: [Patch #2385] better WinAVR detection
  * Applied: [Patch #2332] Return focus to editor during compilations
  * Fixed: To-do list fails to parse encoded files in some cases. Now it will
    use EncodingDetector to detect and convert encoded files
  * Improved: Opened files parsing would be several times fast as now it will
    process them directly off memory
  * Fixed: To-do list starts parsing files while it's hidden
  * Added: A progress bar to update status while processing all files of a
    project
  * Applied: [Patch #2423] TODO Plugin remembers its scope between C::B sessions
  * Fixed; [Bug #13029] Scripting console crashes codeblocks
  * Fixed: [Bug #13227] irrlicht porject wizard doesn't find the irrlicht.h
  * Wizards: add wizards for ARM and PowerPC
  * consistency enhancement in project tree right click menu : save project/file
  * CodeSnippets 1.2.118 2008/04/7
    - Save Doc file in CodeSnippetsTreeCtrl::OnIdle(), not just mark as changed.
    - Avoid " ..." only tooltip and verify XML text edit wxCancel does not save.
    - Add unique id to each XML element
    - Add FindTreeItemBySnippetId() routine
    - Fixed interference of SetFocus with EditLabel in tree ctrl

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 11 Apr 2008 19:04:36 +0200

codeblocks (8.02svn4977-0ubuntu2) dapper; urgency=low

  * backport to Ubuntu Dapper 6.06

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri, 04 Apr 2008 18:21:23 +0200

codeblocks (8.02svn4977-0ubuntu1) feisty; urgency=low

  * Updated: Intel compiler detection code would now add VC installation dir to
    extra paths list
  * Added: /nologo to resource compiler of MSVC-8
  * Fixed: [Bug #13423] Search in files not working for ISO-8859-1 in Linux
    (Thanks Rick for the patch)
  * make delete and insert work on num keypad (thanks Rick)
  * lib_finder:
    - Added dialog allowing to edit currently known libraries
    - Compilers are now matched using wxString::Matches() - can use * and ?
      inside compiler filter
    - Small code refactorings
  * Fixed: Couple of warnings in Scintilla
  * Fixed: Now C::B would not prompt to select missing compiler for Targets not
    supported by current platform
  * Added: Support for Page-Up/Down, Home, End key in IncrementalSelectListDlg

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 31 Mar 2008 01:02:14 +0200

codeblocks (8.02svn4966-0ubuntu1) feisty; urgency=low

  * cb_console_runner now shows the execution time on any platform
  * wxMac: launched programs should not appear behind C::B
  * pumped wxScintilla to v1.71.1 (latest version available) which includes
    Scintilla v1.62
  * AStyle Plugin: Applied patch #2405: New features for AStyle
    plugin (thanks go to DrewBoo)
  * Applied patch by Bloody Cake to compile wxScintilla on Linux.
  * symtab plugin: let it know *.so files
  * dx wizard: update to allow selection / recognition of dx9
  * Fixed: File status icon not changed after a file can't be open.
    (Thanks to DrewBoo)
  * Fixed: Wrong command line option in AVR wizard
  * Fixed: Broken Syntax-highlighting of wxSmith generated code
  * BrowseTracker 1.2.74 2008/03/15 : Added Config settings panel to
    CB editor settings menu
  * Added: C++ exception generation for Intel compiler by the wizards
  * Improved: Auto-detection of Intel C/C++ compiler on Windows. Now
    auto-detection code is able to-
    - Auto-detect Intel compilers of any version number.
    - Auto-detect working MSVC installation and configure it to use
      with Intel compiler

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 19 Mar 2008 22:05:19 +0100

codeblocks (8.02svn4943-0ubuntu1) feisty; urgency=low

  * wxSmith: Fixed bug #013238 crash possible while loading wxStatusBar form
    xml data
  * fixed compilation error with GCC34x ("converting to execution character
    set: Illegal byte sequence")
  * class wizard: added ability to autogenerate copy ctor and equality operator
  * debugger: made an (annoying) obvious warning message optional
  * fix autoconf's autorevision, it got broken with GPLv3 header in r4910
  * Added missing files for lf project wizard
  * wxSmith: Fixed bug #13270 - didn't store proportion setting
  * wxSmith: Fix the ANSI-compatibility fix (from rev. 4925)
  * Fixed array-out-of-bounds bug when created EncodingDetector providing
    filename
  * wxSmith: Fixed problems with encoding detection when regenerating code
  * wxSmith: Fixed some problems with folding of regenerated code
  * Fixed some problems with default / blank workspace
  * CC: fixed wrong handling of inline fried methods in classes
  * wizards: add TriCore wizards as RAM/ROM version
  * Error pop ups can be enabled/disabled when a file no longer exist or when
    file open fails
  * Help plugin: Bugfix: adding help files thru the ConfigDialog when there is
    at least one added from the ini file makes some of the entries point to the
    wrong file
  * Fixed: [Bug #12918] duplicated virtual folders && [Bug #11939] Dragged
    virtual folder structure doesn't save
  * Fixed: Duplicate accelerator key in Edit menu

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 11 Mar 2008 21:59:05 +0100

codeblocks (8.02-0ubuntu1) feisty; urgency=low

  * Release 8.02

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 27 Feb 2008 22:36:11 +0100

codeblocks (1.0svn4893-0ubuntu1) feisty; urgency=low

  * Minor fixes in debugger (disassembly cursor tracking, etc)
  * Fixed: Erratic behaviour (not all opened editor were shown with their
    relative path) of Opened files tree right after a Project load
  * added BrowseTracker to contribs
  * help_plugin: add help files of index.ini only once
  * compiler autodetection: allow mingw compiler suite to be installed under
    [C::B]\mingw, too
  * Help plugin: Help files read from index.ini are now added in *bold* to the
    help menu, cannot be edited through the configuration dialog and are not
    saved to the Code::Blocks config file

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 18 Feb 2008 22:20:44 +0100

codeblocks (1.0svn4875-0ubuntu1) feisty; urgency=low

  * KeyBinder 1.0.46 2008/02/12
      - Killerbot changes to header includes 2008/12/28
      - Fixed: [ Bug #12823 ] keybinder breaks layout submenu on linux
  * help_plugin: add support for including help files with index.ini in folder
    docs

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 14 Feb 2008 20:28:48 +0100

codeblocks (1.0svn4872-0ubuntu1) feisty; urgency=low

  * C::B could crash or hang because of cbMessageBox calls inside worker thread
    in ThreadSearch plugin (very big thanks to Jens for this fix)
  * Fixed breakpoints set as pending not being able to be removed
  * Fix for rare crash when removing a breakpoint (thx Pecan)
  * Added: "Verbatim String" to Squirrel lexer (Thanks to Wahooney)
  * Applied path 2369 (fixes Bug 13054) (thanks Jens)
  * Fixed: [Bug #13064] Copy contents with search results and build messages
  * Fixed critical bug that could cause data corruption in rare cases. Thanks
    to Ceniza for providing the reproducable test case

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 11 Feb 2008 21:43:31 +0100

codeblocks (1.0svn4866-0ubuntu1) feisty; urgency=low

  * Fixed debugger to break (stop) non-console apps in linux (iow, correctly
    get the child pid)
  * If trying to compile while debugging in progress, ask to stop debugging
    (previously it wasn't allowed) - needs testing on windows
  * Added cbDebuggerPlugin::Break()
  * View layout changes from plugins are not persistent anymore

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 07 Feb 2008 00:22:10 +0100

codeblocks (1.0svn4861-0ubuntu1) feisty; urgency=low

  * Fixed debugger to get the child pid in windows. Was broken with newer GDB
    versions. Bug #12944 (also contained the fix, thanks)
  * New comment types: stream and box (patch #2173)
  * Added editor folding level limit option (patch #2335)
  * DragScroll 1.2.07 2008/02/2 - Fixed: On some Linux's context menu missing
    in loggers bec mouse events always reported right-mouse was dragged.
    (Jens fix)
  * Remote debugging settings are now correctly stored per-project (internally)
  * Fixed folding icons inconsistency in split-view mode (bug #13062)
  * Fixed crash happening with a right click in ThreadSearch code preview
    editor

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Tue, 05 Feb 2008 21:34:22 +0100

codeblocks (1.0svn4853-0ubuntu1) feisty; urgency=low

  * Moved 'docs' folder one level up
  * ThreadSearch : bug fix for 64 bit
  * DragScroll 1.2.05 2008/01/29
    - Killerbot header and const changes (2007/12/28)
    - Fixed: Middle-mouse conflict with msWindows paste (2008/01/29)
  * wxSmith: Switched to GPL v3 (no code change)
  * polishing the class wizard:
    - applied (heavily modified) variant of polygon7's patch
    - re-designed UI (as it became quite ugly meanwhile)
    - class wizard remember's it's most important settings (avoid annoyance)
  * fixed bug #13028 (user selection in ToDo list plugin broken)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 30 Jan 2008 21:20:55 +0100

codeblocks (1.0svn4845-0ubuntu1) feisty; urgency=low

  * wxSmith: Fixed bug #012828 - changing pages in notebook/listbook very
    quickly could cause a crash
  * Fixed: [Bug #12998] To-Do List broken on Windows

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 26 Jan 2008 22:50:03 +0100

codeblocks (1.0svn4837-0ubuntu1) feisty; urgency=low

  * fixed several bugs in projectsimporter
  * bug fix : don't show error save message box when the user cancel-ed out
    during SaveAs
  * Fixed: Possible installation dir detection issues with MSVC8 & above
  * Implemented: [FR# 3894] Support for Microsoft windows Vista SDK
  * Fixed: Auto-detection of GCC returns wrong master path.

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Mon, 21 Jan 2008 22:40:17 +0100

codeblocks (1.0svn4830-0ubuntu1) feisty; urgency=low

  * wxSmith:
  * Fixed bug: some extra styles for dialog and frame were threated as standard
    styles, removed few duplicates (found by wvteijlingen)
  * Fixed bug: invalid name of xrc node for HelpText property (found by
    wvteijlingen)
  * add new compiler macros; examples for shell extension (TortoiseSVN
    integration)
  * add german version of docu (Auto Versioning)
  * update screenshots
  * add scriptbindings for Virtual Targets and Project Dependencies
  * properly fix the "layout changed" issue (C::B asking permanently about
    saving changed layout)
  * Folding evolution integration for preview editor
  * add docu for lib finder plugin (thx to byo)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 17 Jan 2008 22:54:01 +0100

codeblocks (1.0svn4821-0ubuntu1) feisty; urgency=low

  * document new features of ThreadSearch, BrowseTracker and add Autoversioning
     (EN)
  * CodeSnippets 1.2.113 2008/01/14
      -Fixed: When a pgm started after CodeBlocks, and an editorFrame started
      by the context menu closed, the external pgm got the focus.
  * Added $exe_dir, $exe_name and $exe_ext compiler macros. Also fixed some
    layout problems with advanced compiler options dialog
  * Fixed bug in code-completion that would fail parsing if found a comment
    right after a namespace declaration (e.g. "namespace test //blah")
  * Fixed: [Bug #12941] cant make c code template

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed, 16 Jan 2008 00:44:59 +0100

codeblocks (1.0svn4813-0ubuntu1) feisty; urgency=low

  * Static Lib Wizard: Added to Target Wizard list
  * DLL Wizard: Target wizard would now be able to create new target with
    different compiler

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sun, 13 Jan 2008 22:37:32 +0100

codeblocks (1.0svn4807-0ubuntu1) feisty; urgency=low

  * ThreadedSearch 1.2
    Bug fix :
    - set focus to editor after double-clicking on item in the tree logger
    Evols:
    - Splitter window mode can be chosen (vertical/horizontal) for viewer and
    logger.
    - Results can be sorted by file name or file path.
    - Search results are saved/restored.
  * Console Wizard:
    - Fixed: Target wizard does not offer compiler selection combo.
    - Fixed: Target wizard does not use target name for output file directory.
    - Fixed: Target wizard produces garbage output file name.
    - Re-organized: Language selection dialog has been moved to the beginning.
  * Fix for huge project properties dialog (when lib_finder plugin is enabled)
  * Changed courier font in about dialog to system's monospace font
    (bug #12096)
  * Fixed abbreviations behaviour on cancel (bug #11756)
  * Fixed: Broken Console wizard. Got Broken in last commit

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Sat, 12 Jan 2008 22:10:14 +0100

codeblocks (1.0svn4801-0ubuntu1) feisty; urgency=low

  * changes in spec file:
      - added missing files to file list (libfinder)
      - changed dependencies for mandriva
      - some clean-ups
    * wxSmith: Fixed bug with invalid selection for wxChoice and wxComboBox
       when using XRC files (used invalid name of xml node)
    * lib_Finder:
      * lib_finder may now be incoked from build scripts - there's no longer
         need to patch sdk. Such build script may be automatically generated
         from libraries configuration panel.
      * libraries configuration panel does show information whether the sdk has
         been patched or not
    * Fixed crash when debugger's evaluation tooltip is shown and a keyboard
      shortcut was pressed to continue debugging.
    * added ThreadSearch to contrib plug-ins
    * Add test if registry key exists before opening it
    * fixed switch to Todo windows when it is in the Log notebook (thanks
       Albenejean)
    * avoid "#include <>" in classwizard when not using inheritance (thanks
       wobien)
    * CodeSnippets 1.2.111 2008/01/7
      - Add ftp://,file://,.htm,.html to url checking.
      - Add "(as filetype)" to Open File menu item for clarity.
    * Added cbEVT_COMPILER_SET_BUILD_OPTIONS event (patch #2302)
    * Fixed stopping debugging process in linux (patch by Jerome Leveque)
    * Fixed a couple of bugs in make_dist.script, added the project file in the
       archive and also added the script to autotools builds (patch #2296)
    * Added options for more editor folding marker styles (patch #2310)
    * Correctly handle spin-control range in editor gutter settings (patch
       #2328)
    * Improved check for layout changes (bug #12827, patch #2311)
    * Fixed wrong log-windows indexing after toggling them on/off (and hence
       changing appearence order) (bug #12842)
    * Fixed wrong size of "file changed, reload?" dialog (patch by jens)
    * When "add/edit watch" window is shown, focus the textbox (bug #12691)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 10 Jan 2008 23:08:28 +0100

codeblocks (1.0svn4771-0ubuntu1) feisty; urgency=low

  * CodeSnippets 1.2.110 2008/01/2 : Change GetMessageManager to
    GetLogManager for wxMAC.
  * lib_finder:
  - Switched naming from "global var" to "short code" (lib_finder doesn't use
    global vars only so the name was incorrect), NOTE: this change require
    rescanning libraries
  - Added support for predefined results (stored in xml files simillarily to
    search filters) - when installing library it may be easily registered
    inside lib_finder by simply adding xml file with description of it, it also
    support relative paths (so it can be used on pen-drives etc)
  - Fixed bug in generation of defines while updating compile options
  * fixed several crashes of help plugin if no help files are defined
  * applied patch by jens to enable opening source files via double-click in
    explorer again

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Fri,  4 Jan 2008 01:07:53 +0100

codeblocks (1.0svn4767-0ubuntu1) feisty; urgency=low

  * lib_finder:
  - Added integration with pkg-config - project can use libraries provided by
    this tool
  - Improoved library search utilities - can now select what happens with
    previous search resutls
  - List of directories with libraries is now remembered
  - Few missing GPL headers
  * wxSmith: Added small border around wxStaticBitmap in editor - it will help
   to work on this item since it tend to hide somewhere on the screen Wink
  * wxSmith: Fixed bug when loading menus in resource using XRC file
  * cbStyledTextCtrl refactoring
  * lib_finder:
  - More integration with pkg-config
  - Libraries and defines are now specified by their own configuration options
    - no need to simulate through lflags and cflags
  - Changed L"..." strings to _T("...") ones - now it doesn't break ANSI build
  - Library search filters are now read from both global data path and user's
    data path
  - Defines are added using CompilerSwitches::declarations (previously used -D
    which would not work with VC compiler)
  - Manager of library filters is no longer member of lib_finder class - it's
    created only while detecting libraries, not needed all the time
  - Added class LibFinder with following static functions into scripting system
  - bool AddLibraryToProject( const wxString& libName,cbProject* project,const
    wxString& targetName)
  - bool RemoveLibraryFromProject( const wxString& libName,cbProject* project,
    const wxString& targetName)
  - bool IsLibraryInProject( const wxString& libName,cbProject* project,const
    wxString& targetName)

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Wed,  2 Jan 2008 21:28:03 +0100

codeblocks (1.0svn4750-0ubuntu1) feisty; urgency=low

  * Fixed batch build dialog not painting correctly on windows
  * Fixed crash in batch builds if build produced errors/warnings

 -- pasgui (lgp203.free.fr) <lgp203@free.fr>  Thu, 27 Dec 2007 21:54:05 +0100

